set(LAPACK_SRCDIR ${CMAKE_CURRENT_SOURCE_DIR}/lapack-3.8.0/SRC)
set(LAPACK_INSTDIR ${CMAKE_CURRENT_SOURCE_DIR}/lapack-3.8.0/INSTALL)

set(LAPACK_SOURCE_FILES
   #ALLAUX
   ${LAPACK_SRCDIR}/ilaenv.f
   ${LAPACK_SRCDIR}/ilaenv2stage.f
   ${LAPACK_SRCDIR}/ieeeck.f
   ${LAPACK_SRCDIR}/lsamen.f
   ${LAPACK_SRCDIR}/iparmq.f
   ${LAPACK_SRCDIR}/iparam2stage.F
   ${LAPACK_SRCDIR}/ilaprec.f
   ${LAPACK_SRCDIR}/ilatrans.f
   ${LAPACK_SRCDIR}/ilauplo.f
   ${LAPACK_SRCDIR}/iladiag.f
   ${LAPACK_SRCDIR}/chla_transtype.f
   
   #SCLAUX
   ${LAPACK_SRCDIR}/sbdsdc.f
   ${LAPACK_SRCDIR}/sbdsqr.f
   ${LAPACK_SRCDIR}/sdisna.f
   ${LAPACK_SRCDIR}/slabad.f
   ${LAPACK_SRCDIR}/slacpy.f
   ${LAPACK_SRCDIR}/sladiv.f
   ${LAPACK_SRCDIR}/slae2.f
   ${LAPACK_SRCDIR}/slaebz.f
   ${LAPACK_SRCDIR}/slaed0.f
   ${LAPACK_SRCDIR}/slaed1.f
   ${LAPACK_SRCDIR}/slaed2.f
   ${LAPACK_SRCDIR}/slaed3.f
   ${LAPACK_SRCDIR}/slaed4.f
   ${LAPACK_SRCDIR}/slaed5.f
   ${LAPACK_SRCDIR}/slaed6.f
   ${LAPACK_SRCDIR}/slaed7.f
   ${LAPACK_SRCDIR}/slaed8.f
   ${LAPACK_SRCDIR}/slaed9.f
   ${LAPACK_SRCDIR}/slaeda.f
   ${LAPACK_SRCDIR}/slaev2.f
   ${LAPACK_SRCDIR}/slagtf.f
   ${LAPACK_SRCDIR}/slagts.f
   ${LAPACK_SRCDIR}/slamrg.f
   ${LAPACK_SRCDIR}/slanst.f
   ${LAPACK_SRCDIR}/slapy2.f
   ${LAPACK_SRCDIR}/slapy3.f
   ${LAPACK_SRCDIR}/slarnv.f
   ${LAPACK_SRCDIR}/slarra.f
   ${LAPACK_SRCDIR}/slarrb.f
   ${LAPACK_SRCDIR}/slarrc.f
   ${LAPACK_SRCDIR}/slarrd.f
   ${LAPACK_SRCDIR}/slarre.f
   ${LAPACK_SRCDIR}/slarrf.f
   ${LAPACK_SRCDIR}/slarrj.f
   ${LAPACK_SRCDIR}/slarrk.f
   ${LAPACK_SRCDIR}/slarrr.f
   ${LAPACK_SRCDIR}/slaneg.f
   ${LAPACK_SRCDIR}/slartg.f
   ${LAPACK_SRCDIR}/slaruv.f
   ${LAPACK_SRCDIR}/slas2.f
   ${LAPACK_SRCDIR}/slascl.f
   ${LAPACK_SRCDIR}/slasd0.f
   ${LAPACK_SRCDIR}/slasd1.f
   ${LAPACK_SRCDIR}/slasd2.f
   ${LAPACK_SRCDIR}/slasd3.f
   ${LAPACK_SRCDIR}/slasd4.f
   ${LAPACK_SRCDIR}/slasd5.f
   ${LAPACK_SRCDIR}/slasd6.f
   ${LAPACK_SRCDIR}/slasd7.f
   ${LAPACK_SRCDIR}/slasd8.f
   ${LAPACK_SRCDIR}/slasda.f
   ${LAPACK_SRCDIR}/slasdq.f
   ${LAPACK_SRCDIR}/slasdt.f
   ${LAPACK_SRCDIR}/slaset.f
   ${LAPACK_SRCDIR}/slasq1.f
   ${LAPACK_SRCDIR}/slasq2.f
   ${LAPACK_SRCDIR}/slasq3.f
   ${LAPACK_SRCDIR}/slasq4.f
   ${LAPACK_SRCDIR}/slasq5.f
   ${LAPACK_SRCDIR}/slasq6.f
   ${LAPACK_SRCDIR}/slasr.f
   ${LAPACK_SRCDIR}/slasrt.f
   ${LAPACK_SRCDIR}/slassq.f
   ${LAPACK_SRCDIR}/slasv2.f
   ${LAPACK_SRCDIR}/spttrf.f
   ${LAPACK_SRCDIR}/sstebz.f
   ${LAPACK_SRCDIR}/sstedc.f
   ${LAPACK_SRCDIR}/ssteqr.f
   ${LAPACK_SRCDIR}/ssterf.f
   ${LAPACK_SRCDIR}/slaisnan.f
   ${LAPACK_SRCDIR}/sisnan.f
   ${LAPACK_SRCDIR}/slartgp.f
   ${LAPACK_SRCDIR}/slartgs.f
   
   #DZLAUX
   ${LAPACK_SRCDIR}/dbdsdc.f
   ${LAPACK_SRCDIR}/dbdsqr.f
   ${LAPACK_SRCDIR}/ddisna.f
   ${LAPACK_SRCDIR}/dlabad.f
   ${LAPACK_SRCDIR}/dlacpy.f
   ${LAPACK_SRCDIR}/dladiv.f
   ${LAPACK_SRCDIR}/dlae2.f
   ${LAPACK_SRCDIR}/dlaebz.f
   ${LAPACK_SRCDIR}/dlaed0.f
   ${LAPACK_SRCDIR}/dlaed1.f
   ${LAPACK_SRCDIR}/dlaed2.f
   ${LAPACK_SRCDIR}/dlaed3.f
   ${LAPACK_SRCDIR}/dlaed4.f
   ${LAPACK_SRCDIR}/dlaed5.f
   ${LAPACK_SRCDIR}/dlaed6.f
   ${LAPACK_SRCDIR}/dlaed7.f
   ${LAPACK_SRCDIR}/dlaed8.f
   ${LAPACK_SRCDIR}/dlaed9.f
   ${LAPACK_SRCDIR}/dlaeda.f
   ${LAPACK_SRCDIR}/dlaev2.f
   ${LAPACK_SRCDIR}/dlagtf.f
   ${LAPACK_SRCDIR}/dlagts.f
   ${LAPACK_SRCDIR}/dlamrg.f
   ${LAPACK_SRCDIR}/dlanst.f
   ${LAPACK_SRCDIR}/dlapy2.f
   ${LAPACK_SRCDIR}/dlapy3.f
   ${LAPACK_SRCDIR}/dlarnv.f
   ${LAPACK_SRCDIR}/dlarra.f
   ${LAPACK_SRCDIR}/dlarrb.f
   ${LAPACK_SRCDIR}/dlarrc.f
   ${LAPACK_SRCDIR}/dlarrd.f
   ${LAPACK_SRCDIR}/dlarre.f
   ${LAPACK_SRCDIR}/dlarrf.f
   ${LAPACK_SRCDIR}/dlarrj.f
   ${LAPACK_SRCDIR}/dlarrk.f
   ${LAPACK_SRCDIR}/dlarrr.f
   ${LAPACK_SRCDIR}/dlaneg.f
   ${LAPACK_SRCDIR}/dlartg.f
   ${LAPACK_SRCDIR}/dlaruv.f
   ${LAPACK_SRCDIR}/dlas2.f
   ${LAPACK_SRCDIR}/dlascl.f
   ${LAPACK_SRCDIR}/dlasd0.f
   ${LAPACK_SRCDIR}/dlasd1.f
   ${LAPACK_SRCDIR}/dlasd2.f
   ${LAPACK_SRCDIR}/dlasd3.f
   ${LAPACK_SRCDIR}/dlasd4.f
   ${LAPACK_SRCDIR}/dlasd5.f
   ${LAPACK_SRCDIR}/dlasd6.f
   ${LAPACK_SRCDIR}/dlasd7.f
   ${LAPACK_SRCDIR}/dlasd8.f
   ${LAPACK_SRCDIR}/dlasda.f
   ${LAPACK_SRCDIR}/dlasdq.f
   ${LAPACK_SRCDIR}/dlasdt.f
   ${LAPACK_SRCDIR}/dlaset.f
   ${LAPACK_SRCDIR}/dlasq1.f
   ${LAPACK_SRCDIR}/dlasq2.f
   ${LAPACK_SRCDIR}/dlasq3.f
   ${LAPACK_SRCDIR}/dlasq4.f
   ${LAPACK_SRCDIR}/dlasq5.f
   ${LAPACK_SRCDIR}/dlasq6.f
   ${LAPACK_SRCDIR}/dlasr.f
   ${LAPACK_SRCDIR}/dlasrt.f
   ${LAPACK_SRCDIR}/dlassq.f
   ${LAPACK_SRCDIR}/dlasv2.f
   ${LAPACK_SRCDIR}/dpttrf.f
   ${LAPACK_SRCDIR}/dstebz.f
   ${LAPACK_SRCDIR}/dstedc.f
   ${LAPACK_SRCDIR}/dsteqr.f
   ${LAPACK_SRCDIR}/dsterf.f
   ${LAPACK_SRCDIR}/dlaisnan.f
   ${LAPACK_SRCDIR}/disnan.f
   ${LAPACK_SRCDIR}/dlartgp.f
   ${LAPACK_SRCDIR}/dlartgs.f
   
   #SLASRC
   ${LAPACK_SRCDIR}/sbdsvdx.f
   ${LAPACK_SRCDIR}/sgbbrd.f
   ${LAPACK_SRCDIR}/sgbcon.f
   ${LAPACK_SRCDIR}/sgbequ.f
   ${LAPACK_SRCDIR}/sgbrfs.f
   ${LAPACK_SRCDIR}/sgbsv.f
   ${LAPACK_SRCDIR}/sgbsvx.f
   ${LAPACK_SRCDIR}/sgbtf2.f
   ${LAPACK_SRCDIR}/sgbtrf.f
   ${LAPACK_SRCDIR}/sgbtrs.f
   ${LAPACK_SRCDIR}/sgebak.f
   ${LAPACK_SRCDIR}/sgebal.f
   ${LAPACK_SRCDIR}/sgebd2.f
   ${LAPACK_SRCDIR}/sgebrd.f
   ${LAPACK_SRCDIR}/sgecon.f
   ${LAPACK_SRCDIR}/sgeequ.f
   ${LAPACK_SRCDIR}/sgees.f
   ${LAPACK_SRCDIR}/sgeesx.f
   ${LAPACK_SRCDIR}/sgeev.f
   ${LAPACK_SRCDIR}/sgeevx.f
   ${LAPACK_SRCDIR}/sgehd2.f
   ${LAPACK_SRCDIR}/sgehrd.f
   ${LAPACK_SRCDIR}/sgelq2.f
   ${LAPACK_SRCDIR}/sgelqf.f
   ${LAPACK_SRCDIR}/sgels.f
   ${LAPACK_SRCDIR}/sgelsd.f
   ${LAPACK_SRCDIR}/sgelss.f
   ${LAPACK_SRCDIR}/sgelsy.f
   ${LAPACK_SRCDIR}/sgeql2.f
   ${LAPACK_SRCDIR}/sgeqlf.f
   ${LAPACK_SRCDIR}/sgeqp3.f
   ${LAPACK_SRCDIR}/sgeqr2.f
   ${LAPACK_SRCDIR}/sgeqr2p.f
   ${LAPACK_SRCDIR}/sgeqrf.f
   ${LAPACK_SRCDIR}/sgeqrfp.f
   ${LAPACK_SRCDIR}/sgerfs.f
   ${LAPACK_SRCDIR}/sgerq2.f
   ${LAPACK_SRCDIR}/sgerqf.f
   ${LAPACK_SRCDIR}/sgesc2.f
   ${LAPACK_SRCDIR}/sgesdd.f
   ${LAPACK_SRCDIR}/sgesv.f
   ${LAPACK_SRCDIR}/sgesvd.f
   ${LAPACK_SRCDIR}/sgesvdx.f
   ${LAPACK_SRCDIR}/sgesvx.f
   ${LAPACK_SRCDIR}/sgetc2.f
   ${LAPACK_SRCDIR}/sgetf2.f
   ${LAPACK_SRCDIR}/sgetrf2.f
   ${LAPACK_SRCDIR}/sgetri.f
   ${LAPACK_SRCDIR}/sggbak.f
   ${LAPACK_SRCDIR}/sggbal.f
   ${LAPACK_SRCDIR}/sgges.f
   ${LAPACK_SRCDIR}/sgges3.f
   ${LAPACK_SRCDIR}/sggesx.f
   ${LAPACK_SRCDIR}/sggev.f
   ${LAPACK_SRCDIR}/sggev3.f
   ${LAPACK_SRCDIR}/sggevx.f
   ${LAPACK_SRCDIR}/sggglm.f
   ${LAPACK_SRCDIR}/sgghrd.f
   ${LAPACK_SRCDIR}/sgghd3.f
   ${LAPACK_SRCDIR}/sgglse.f
   ${LAPACK_SRCDIR}/sggqrf.f
   ${LAPACK_SRCDIR}/sggrqf.f
   ${LAPACK_SRCDIR}/sggsvd3.f
   ${LAPACK_SRCDIR}/sggsvp3.f
   ${LAPACK_SRCDIR}/sgtcon.f
   ${LAPACK_SRCDIR}/sgtrfs.f
   ${LAPACK_SRCDIR}/sgtsv.f
   ${LAPACK_SRCDIR}/sgtsvx.f
   ${LAPACK_SRCDIR}/sgttrf.f
   ${LAPACK_SRCDIR}/sgttrs.f
   ${LAPACK_SRCDIR}/sgtts2.f
   ${LAPACK_SRCDIR}/shgeqz.f
   ${LAPACK_SRCDIR}/shsein.f
   ${LAPACK_SRCDIR}/shseqr.f
   ${LAPACK_SRCDIR}/slabrd.f
   ${LAPACK_SRCDIR}/slacon.f
   ${LAPACK_SRCDIR}/slacn2.f
   ${LAPACK_SRCDIR}/slaein.f
   ${LAPACK_SRCDIR}/slaexc.f
   ${LAPACK_SRCDIR}/slag2.f
   ${LAPACK_SRCDIR}/slags2.f
   ${LAPACK_SRCDIR}/slagtm.f
   ${LAPACK_SRCDIR}/slagv2.f
   ${LAPACK_SRCDIR}/slahqr.f
   ${LAPACK_SRCDIR}/slahr2.f
   ${LAPACK_SRCDIR}/slaic1.f
   ${LAPACK_SRCDIR}/slaln2.f
   ${LAPACK_SRCDIR}/slals0.f
   ${LAPACK_SRCDIR}/slalsa.f
   ${LAPACK_SRCDIR}/slalsd.f
   ${LAPACK_SRCDIR}/slangb.f
   ${LAPACK_SRCDIR}/slange.f
   ${LAPACK_SRCDIR}/slangt.f
   ${LAPACK_SRCDIR}/slanhs.f
   ${LAPACK_SRCDIR}/slansb.f
   ${LAPACK_SRCDIR}/slansp.f
   ${LAPACK_SRCDIR}/slansy.f
   ${LAPACK_SRCDIR}/slantb.f
   ${LAPACK_SRCDIR}/slantp.f
   ${LAPACK_SRCDIR}/slantr.f
   ${LAPACK_SRCDIR}/slanv2.f
   ${LAPACK_SRCDIR}/slapll.f
   ${LAPACK_SRCDIR}/slapmt.f
   ${LAPACK_SRCDIR}/slaqgb.f
   ${LAPACK_SRCDIR}/slaqge.f
   ${LAPACK_SRCDIR}/slaqp2.f
   ${LAPACK_SRCDIR}/slaqps.f
   ${LAPACK_SRCDIR}/slaqsb.f
   ${LAPACK_SRCDIR}/slaqsp.f
   ${LAPACK_SRCDIR}/slaqsy.f
   ${LAPACK_SRCDIR}/slaqr0.f
   ${LAPACK_SRCDIR}/slaqr1.f
   ${LAPACK_SRCDIR}/slaqr2.f
   ${LAPACK_SRCDIR}/slaqr3.f
   ${LAPACK_SRCDIR}/slaqr4.f
   ${LAPACK_SRCDIR}/slaqr5.f
   ${LAPACK_SRCDIR}/slaqtr.f
   ${LAPACK_SRCDIR}/slar1v.f
   ${LAPACK_SRCDIR}/slar2v.f
   ${LAPACK_SRCDIR}/ilaslr.f
   ${LAPACK_SRCDIR}/ilaslc.f
   ${LAPACK_SRCDIR}/slarf.f
   ${LAPACK_SRCDIR}/slarfb.f
   ${LAPACK_SRCDIR}/slarfg.f
   ${LAPACK_SRCDIR}/slarfgp.f
   ${LAPACK_SRCDIR}/slarft.f
   ${LAPACK_SRCDIR}/slarfx.f
   ${LAPACK_SRCDIR}/slarfy.f
   ${LAPACK_SRCDIR}/slargv.f
   ${LAPACK_SRCDIR}/slarrv.f
   ${LAPACK_SRCDIR}/slartv.f
   ${LAPACK_SRCDIR}/slarz.f
   ${LAPACK_SRCDIR}/slarzb.f
   ${LAPACK_SRCDIR}/slarzt.f
   ${LAPACK_SRCDIR}/slaswp.f
   ${LAPACK_SRCDIR}/slasy2.f
   ${LAPACK_SRCDIR}/slasyf.f
   ${LAPACK_SRCDIR}/slasyf_rook.f
   ${LAPACK_SRCDIR}/slasyf_rk.f
   ${LAPACK_SRCDIR}/slasyf_aa.f
   ${LAPACK_SRCDIR}/slatbs.f
   ${LAPACK_SRCDIR}/slatdf.f
   ${LAPACK_SRCDIR}/slatps.f
   ${LAPACK_SRCDIR}/slatrd.f
   ${LAPACK_SRCDIR}/slatrs.f
   ${LAPACK_SRCDIR}/slatrz.f
   ${LAPACK_SRCDIR}/slauu2.f
   ${LAPACK_SRCDIR}/slauum.f
   ${LAPACK_SRCDIR}/sopgtr.f
   ${LAPACK_SRCDIR}/sopmtr.f
   ${LAPACK_SRCDIR}/sorg2l.f
   ${LAPACK_SRCDIR}/sorg2r.f
   ${LAPACK_SRCDIR}/sorgbr.f
   ${LAPACK_SRCDIR}/sorghr.f
   ${LAPACK_SRCDIR}/sorgl2.f
   ${LAPACK_SRCDIR}/sorglq.f
   ${LAPACK_SRCDIR}/sorgql.f
   ${LAPACK_SRCDIR}/sorgqr.f
   ${LAPACK_SRCDIR}/sorgr2.f
   ${LAPACK_SRCDIR}/sorgrq.f
   ${LAPACK_SRCDIR}/sorgtr.f
   ${LAPACK_SRCDIR}/sorm2l.f
   ${LAPACK_SRCDIR}/sorm2r.f
   ${LAPACK_SRCDIR}/sorm22.f
   ${LAPACK_SRCDIR}/sormbr.f
   ${LAPACK_SRCDIR}/sormhr.f
   ${LAPACK_SRCDIR}/sorml2.f
   ${LAPACK_SRCDIR}/sormlq.f
   ${LAPACK_SRCDIR}/sormql.f
   ${LAPACK_SRCDIR}/sormqr.f
   ${LAPACK_SRCDIR}/sormr2.f
   ${LAPACK_SRCDIR}/sormr3.f
   ${LAPACK_SRCDIR}/sormrq.f
   ${LAPACK_SRCDIR}/sormrz.f
   ${LAPACK_SRCDIR}/sormtr.f
   ${LAPACK_SRCDIR}/spbcon.f
   ${LAPACK_SRCDIR}/spbequ.f
   ${LAPACK_SRCDIR}/spbrfs.f
   ${LAPACK_SRCDIR}/spbstf.f
   ${LAPACK_SRCDIR}/spbsv.f
   ${LAPACK_SRCDIR}/spbsvx.f
   ${LAPACK_SRCDIR}/spbtf2.f
   ${LAPACK_SRCDIR}/spbtrf.f
   ${LAPACK_SRCDIR}/spbtrs.f
   ${LAPACK_SRCDIR}/spocon.f
   ${LAPACK_SRCDIR}/spoequ.f
   ${LAPACK_SRCDIR}/sporfs.f
   ${LAPACK_SRCDIR}/sposv.f
   ${LAPACK_SRCDIR}/sposvx.f
   ${LAPACK_SRCDIR}/spotf2.f
   ${LAPACK_SRCDIR}/spotrf2.f
   ${LAPACK_SRCDIR}/spotri.f
   ${LAPACK_SRCDIR}/spstrf.f
   ${LAPACK_SRCDIR}/spstf2.f
   ${LAPACK_SRCDIR}/sppcon.f
   ${LAPACK_SRCDIR}/sppequ.f
   ${LAPACK_SRCDIR}/spprfs.f
   ${LAPACK_SRCDIR}/sppsv.f
   ${LAPACK_SRCDIR}/sppsvx.f
   ${LAPACK_SRCDIR}/spptrf.f
   ${LAPACK_SRCDIR}/spptri.f
   ${LAPACK_SRCDIR}/spptrs.f
   ${LAPACK_SRCDIR}/sptcon.f
   ${LAPACK_SRCDIR}/spteqr.f
   ${LAPACK_SRCDIR}/sptrfs.f
   ${LAPACK_SRCDIR}/sptsv.f
   ${LAPACK_SRCDIR}/sptsvx.f
   ${LAPACK_SRCDIR}/spttrs.f
   ${LAPACK_SRCDIR}/sptts2.f
   ${LAPACK_SRCDIR}/srscl.f
   ${LAPACK_SRCDIR}/ssbev.f
   ${LAPACK_SRCDIR}/ssbevd.f
   ${LAPACK_SRCDIR}/ssbevx.f
   ${LAPACK_SRCDIR}/ssbgst.f
   ${LAPACK_SRCDIR}/ssbgv.f
   ${LAPACK_SRCDIR}/ssbgvd.f
   ${LAPACK_SRCDIR}/ssbgvx.f
   ${LAPACK_SRCDIR}/ssbtrd.f
   ${LAPACK_SRCDIR}/sspcon.f
   ${LAPACK_SRCDIR}/sspev.f
   ${LAPACK_SRCDIR}/sspevd.f
   ${LAPACK_SRCDIR}/sspevx.f
   ${LAPACK_SRCDIR}/sspgst.f
   ${LAPACK_SRCDIR}/sspgv.f
   ${LAPACK_SRCDIR}/sspgvd.f
   ${LAPACK_SRCDIR}/sspgvx.f
   ${LAPACK_SRCDIR}/ssprfs.f
   ${LAPACK_SRCDIR}/sspsv.f
   ${LAPACK_SRCDIR}/sspsvx.f
   ${LAPACK_SRCDIR}/ssptrd.f
   ${LAPACK_SRCDIR}/ssptrf.f
   ${LAPACK_SRCDIR}/ssptri.f
   ${LAPACK_SRCDIR}/ssptrs.f
   ${LAPACK_SRCDIR}/sstegr.f
   ${LAPACK_SRCDIR}/sstein.f
   ${LAPACK_SRCDIR}/sstev.f
   ${LAPACK_SRCDIR}/sstevd.f
   ${LAPACK_SRCDIR}/sstevr.f
   ${LAPACK_SRCDIR}/sstevx.f
   ${LAPACK_SRCDIR}/ssycon.f
   ${LAPACK_SRCDIR}/ssyev.f
   ${LAPACK_SRCDIR}/ssyevd.f
   ${LAPACK_SRCDIR}/ssyevr.f
   ${LAPACK_SRCDIR}/ssyevx.f
   ${LAPACK_SRCDIR}/ssygs2.f
   ${LAPACK_SRCDIR}/ssygst.f
   ${LAPACK_SRCDIR}/ssygv.f
   ${LAPACK_SRCDIR}/ssygvd.f
   ${LAPACK_SRCDIR}/ssygvx.f
   ${LAPACK_SRCDIR}/ssyrfs.f
   ${LAPACK_SRCDIR}/ssysv.f
   ${LAPACK_SRCDIR}/ssysvx.f
   ${LAPACK_SRCDIR}/ssytd2.f
   ${LAPACK_SRCDIR}/ssytf2.f
   ${LAPACK_SRCDIR}/ssytrd.f
   ${LAPACK_SRCDIR}/ssytrf.f
   ${LAPACK_SRCDIR}/ssytri.f
   ${LAPACK_SRCDIR}/ssytri2.f
   ${LAPACK_SRCDIR}/ssytri2x.f
   ${LAPACK_SRCDIR}/ssyswapr.f
   ${LAPACK_SRCDIR}/ssytrs.f
   ${LAPACK_SRCDIR}/ssytrs2.f
   ${LAPACK_SRCDIR}/ssyconv.f
   ${LAPACK_SRCDIR}/ssyconvf.f
   ${LAPACK_SRCDIR}/ssyconvf_rook.f
   ${LAPACK_SRCDIR}/ssytf2_rook.f
   ${LAPACK_SRCDIR}/ssytrf_rook.f
   ${LAPACK_SRCDIR}/ssytrs_rook.f
   ${LAPACK_SRCDIR}/ssytri_rook.f
   ${LAPACK_SRCDIR}/ssycon_rook.f
   ${LAPACK_SRCDIR}/ssysv_rook.f
   ${LAPACK_SRCDIR}/ssytf2_rk.f
   ${LAPACK_SRCDIR}/ssytrf_rk.f
   ${LAPACK_SRCDIR}/ssytrs_3.f
   ${LAPACK_SRCDIR}/ssytri_3.f
   ${LAPACK_SRCDIR}/ssytri_3x.f
   ${LAPACK_SRCDIR}/ssycon_3.f
   ${LAPACK_SRCDIR}/ssysv_rk.f
   ${LAPACK_SRCDIR}/ssysv_aa.f
   ${LAPACK_SRCDIR}/ssytrf_aa.f
   ${LAPACK_SRCDIR}/ssytrs_aa.f
#   ${LAPACK_SRCDIR}/ssysv_aa_2stage.f
#   ${LAPACK_SRCDIR}/ssytrf_aa_2stage.f
#   ${LAPACK_SRCDIR}/ssytrs_aa_2stage.f
   ${LAPACK_SRCDIR}/stbcon.f
   ${LAPACK_SRCDIR}/stbrfs.f
   ${LAPACK_SRCDIR}/stbtrs.f
   ${LAPACK_SRCDIR}/stgevc.f
   ${LAPACK_SRCDIR}/stgex2.f
   ${LAPACK_SRCDIR}/stgexc.f
   ${LAPACK_SRCDIR}/stgsen.f
   ${LAPACK_SRCDIR}/stgsja.f
   ${LAPACK_SRCDIR}/stgsna.f
   ${LAPACK_SRCDIR}/stgsy2.f
   ${LAPACK_SRCDIR}/stgsyl.f
   ${LAPACK_SRCDIR}/stpcon.f
   ${LAPACK_SRCDIR}/stprfs.f
   ${LAPACK_SRCDIR}/stptri.f
   ${LAPACK_SRCDIR}/stptrs.f
   ${LAPACK_SRCDIR}/strcon.f
   ${LAPACK_SRCDIR}/strevc.f
   ${LAPACK_SRCDIR}/strevc3.f
   ${LAPACK_SRCDIR}/strexc.f
   ${LAPACK_SRCDIR}/strrfs.f
   ${LAPACK_SRCDIR}/strsen.f
   ${LAPACK_SRCDIR}/strsna.f
   ${LAPACK_SRCDIR}/strsyl.f
   ${LAPACK_SRCDIR}/strti2.f
   ${LAPACK_SRCDIR}/strtri.f
   ${LAPACK_SRCDIR}/strtrs.f
   ${LAPACK_SRCDIR}/stzrzf.f
   ${LAPACK_SRCDIR}/sstemr.f
   ${LAPACK_SRCDIR}/slansf.f
   ${LAPACK_SRCDIR}/spftrf.f
   ${LAPACK_SRCDIR}/spftri.f
   ${LAPACK_SRCDIR}/spftrs.f
   ${LAPACK_SRCDIR}/ssfrk.f
   ${LAPACK_SRCDIR}/stfsm.f
   ${LAPACK_SRCDIR}/stftri.f
   ${LAPACK_SRCDIR}/stfttp.f
   ${LAPACK_SRCDIR}/stfttr.f
   ${LAPACK_SRCDIR}/stpttf.f
   ${LAPACK_SRCDIR}/stpttr.f
   ${LAPACK_SRCDIR}/strttf.f
   ${LAPACK_SRCDIR}/strttp.f
   ${LAPACK_SRCDIR}/sgejsv.f
   ${LAPACK_SRCDIR}/sgesvj.f
   ${LAPACK_SRCDIR}/sgsvj0.f
   ${LAPACK_SRCDIR}/sgsvj1.f
   ${LAPACK_SRCDIR}/sgeequb.f
   ${LAPACK_SRCDIR}/ssyequb.f
   ${LAPACK_SRCDIR}/spoequb.f
   ${LAPACK_SRCDIR}/sgbequb.f
   ${LAPACK_SRCDIR}/sbbcsd.f
   ${LAPACK_SRCDIR}/slapmr.f
   ${LAPACK_SRCDIR}/sorbdb.f
   ${LAPACK_SRCDIR}/sorbdb1.f
   ${LAPACK_SRCDIR}/sorbdb2.f
   ${LAPACK_SRCDIR}/sorbdb3.f
   ${LAPACK_SRCDIR}/sorbdb4.f
   ${LAPACK_SRCDIR}/sorbdb5.f
   ${LAPACK_SRCDIR}/sorbdb6.f
   ${LAPACK_SRCDIR}/sorcsd.f
   ${LAPACK_SRCDIR}/sorcsd2by1.f
   ${LAPACK_SRCDIR}/sgeqrt.f
   ${LAPACK_SRCDIR}/sgeqrt2.f
   ${LAPACK_SRCDIR}/sgeqrt3.f
   ${LAPACK_SRCDIR}/sgemqrt.f
   ${LAPACK_SRCDIR}/stpqrt.f
   ${LAPACK_SRCDIR}/stpqrt2.f
   ${LAPACK_SRCDIR}/stpmqrt.f
   ${LAPACK_SRCDIR}/stprfb.f
   ${LAPACK_SRCDIR}/sgelqt.f
   ${LAPACK_SRCDIR}/sgelqt3.f
   ${LAPACK_SRCDIR}/sgemlqt.f
   ${LAPACK_SRCDIR}/sgetsls.f
   ${LAPACK_SRCDIR}/sgeqr.f
   ${LAPACK_SRCDIR}/slatsqr.f
   ${LAPACK_SRCDIR}/slamtsqr.f
   ${LAPACK_SRCDIR}/sgemqr.f
   ${LAPACK_SRCDIR}/sgelq.f
   ${LAPACK_SRCDIR}/slaswlq.f
   ${LAPACK_SRCDIR}/slamswlq.f
   ${LAPACK_SRCDIR}/sgemlq.f
   ${LAPACK_SRCDIR}/stplqt.f
   ${LAPACK_SRCDIR}/stplqt2.f
   ${LAPACK_SRCDIR}/stpmlqt.f
   ${LAPACK_SRCDIR}/ssytrd_2stage.f
   ${LAPACK_SRCDIR}/ssytrd_sy2sb.f
   ${LAPACK_SRCDIR}/ssytrd_sb2st.F
   ${LAPACK_SRCDIR}/ssb2st_kernels.f
   ${LAPACK_SRCDIR}/ssyevd_2stage.f
   ${LAPACK_SRCDIR}/ssyev_2stage.f
   ${LAPACK_SRCDIR}/ssyevx_2stage.f
   ${LAPACK_SRCDIR}/ssyevr_2stage.f
   ${LAPACK_SRCDIR}/ssbev_2stage.f
   ${LAPACK_SRCDIR}/ssbevx_2stage.f
   ${LAPACK_SRCDIR}/ssbevd_2stage.f
   ${LAPACK_SRCDIR}/ssygv_2stage.f

   #DSLASRC
   ${LAPACK_SRCDIR}/spotrs.f
   ${LAPACK_SRCDIR}/sgetrs.f 
   ${LAPACK_SRCDIR}/spotrf.f
   ${LAPACK_SRCDIR}/sgetrf.f
   
   #SXLASRC can only use this if you have XBLAS
   # ${LAPACK_SRCDIR}/sgesvxx.f
   # ${LAPACK_SRCDIR}/sgerfsx.f
   # ${LAPACK_SRCDIR}/sla_gerfsx_extended.f
   # ${LAPACK_SRCDIR}/sla_geamv.f
   # ${LAPACK_SRCDIR}/sla_gercond.f
   # ${LAPACK_SRCDIR}/sla_gerpvgrw.f
   # ${LAPACK_SRCDIR}/ssysvxx.f
   # ${LAPACK_SRCDIR}/ssyrfsx.f
   # ${LAPACK_SRCDIR}/sla_syrfsx_extended.f
   # ${LAPACK_SRCDIR}/sla_syamv.f
   # ${LAPACK_SRCDIR}/sla_syrcond.f
   # ${LAPACK_SRCDIR}/sla_syrpvgrw.f
   # ${LAPACK_SRCDIR}/sposvxx.f
   # ${LAPACK_SRCDIR}/sporfsx.f
   # ${LAPACK_SRCDIR}/sla_porfsx_extended.f
   # ${LAPACK_SRCDIR}/sla_porcond.f
   # ${LAPACK_SRCDIR}/sla_porpvgrw.f
   # ${LAPACK_SRCDIR}/sgbsvxx.f
   # ${LAPACK_SRCDIR}/sgbrfsx.f
   # ${LAPACK_SRCDIR}/sla_gbrfsx_extended.f
   # ${LAPACK_SRCDIR}/sla_gbamv.f
   # ${LAPACK_SRCDIR}/sla_gbrcond.f
   # ${LAPACK_SRCDIR}/sla_gbrpvgrw.f
   # ${LAPACK_SRCDIR}/sla_lin_berr.f
   # ${LAPACK_SRCDIR}/slarscl2.f
   # ${LAPACK_SRCDIR}/slascl2.f
   # ${LAPACK_SRCDIR}/sla_wwaddw.f
   
   #CLASRC
   ${LAPACK_SRCDIR}/cbdsqr.f
   ${LAPACK_SRCDIR}/cgbbrd.f
   ${LAPACK_SRCDIR}/cgbcon.f
   ${LAPACK_SRCDIR}/cgbequ.f
   ${LAPACK_SRCDIR}/cgbrfs.f
   ${LAPACK_SRCDIR}/cgbsv.f
   ${LAPACK_SRCDIR}/cgbsvx.f
   ${LAPACK_SRCDIR}/cgbtf2.f
   ${LAPACK_SRCDIR}/cgbtrf.f
   ${LAPACK_SRCDIR}/cgbtrs.f
   ${LAPACK_SRCDIR}/cgebak.f
   ${LAPACK_SRCDIR}/cgebal.f
   ${LAPACK_SRCDIR}/cgebd2.f
   ${LAPACK_SRCDIR}/cgebrd.f
   ${LAPACK_SRCDIR}/cgecon.f
   ${LAPACK_SRCDIR}/cgeequ.f
   ${LAPACK_SRCDIR}/cgees.f
   ${LAPACK_SRCDIR}/cgeesx.f
   ${LAPACK_SRCDIR}/cgeev.f
   ${LAPACK_SRCDIR}/cgeevx.f
   ${LAPACK_SRCDIR}/cgehd2.f
   ${LAPACK_SRCDIR}/cgehrd.f
   ${LAPACK_SRCDIR}/cgelq2.f
   ${LAPACK_SRCDIR}/cgelqf.f
   ${LAPACK_SRCDIR}/cgels.f
   ${LAPACK_SRCDIR}/cgelsd.f
   ${LAPACK_SRCDIR}/cgelss.f
   ${LAPACK_SRCDIR}/cgelsy.f
   ${LAPACK_SRCDIR}/cgeql2.f
   ${LAPACK_SRCDIR}/cgeqlf.f
   ${LAPACK_SRCDIR}/cgeqp3.f
   ${LAPACK_SRCDIR}/cgeqr2.f
   ${LAPACK_SRCDIR}/cgeqr2p.f
   ${LAPACK_SRCDIR}/cgeqrf.f
   ${LAPACK_SRCDIR}/cgeqrfp.f
   ${LAPACK_SRCDIR}/cgerfs.f
   ${LAPACK_SRCDIR}/cgerq2.f
   ${LAPACK_SRCDIR}/cgerqf.f
   ${LAPACK_SRCDIR}/cgesc2.f
   ${LAPACK_SRCDIR}/cgesdd.f
   ${LAPACK_SRCDIR}/cgesv.f
   ${LAPACK_SRCDIR}/cgesvd.f
   ${LAPACK_SRCDIR}/cgesvdx.f
   ${LAPACK_SRCDIR}/cgesvj.f
   ${LAPACK_SRCDIR}/cgejsv.f
   ${LAPACK_SRCDIR}/cgsvj0.f
   ${LAPACK_SRCDIR}/cgsvj1.f
   ${LAPACK_SRCDIR}/cgesvx.f
   ${LAPACK_SRCDIR}/cgetc2.f
   ${LAPACK_SRCDIR}/cgetf2.f
   ${LAPACK_SRCDIR}/cgetrf2.f
   ${LAPACK_SRCDIR}/cgetri.f
   ${LAPACK_SRCDIR}/cggbak.f
   ${LAPACK_SRCDIR}/cggbal.f
   ${LAPACK_SRCDIR}/cgges.f
   ${LAPACK_SRCDIR}/cgges3.f
   ${LAPACK_SRCDIR}/cggesx.f
   ${LAPACK_SRCDIR}/cggev.f
   ${LAPACK_SRCDIR}/cggev3.f
   ${LAPACK_SRCDIR}/cggevx.f
   ${LAPACK_SRCDIR}/cggglm.f
   ${LAPACK_SRCDIR}/cgghrd.f
   ${LAPACK_SRCDIR}/cgghd3.f
   ${LAPACK_SRCDIR}/cgglse.f
   ${LAPACK_SRCDIR}/cggqrf.f
   ${LAPACK_SRCDIR}/cggrqf.f
   ${LAPACK_SRCDIR}/cggsvd3.f
   ${LAPACK_SRCDIR}/cggsvp3.f
   ${LAPACK_SRCDIR}/cgtcon.f
   ${LAPACK_SRCDIR}/cgtrfs.f
   ${LAPACK_SRCDIR}/cgtsv.f
   ${LAPACK_SRCDIR}/cgtsvx.f
   ${LAPACK_SRCDIR}/cgttrf.f
   ${LAPACK_SRCDIR}/cgttrs.f
   ${LAPACK_SRCDIR}/cgtts2.f
   ${LAPACK_SRCDIR}/chbev.f
   ${LAPACK_SRCDIR}/chbevd.f
   ${LAPACK_SRCDIR}/chbevx.f
   ${LAPACK_SRCDIR}/chbgst.f
   ${LAPACK_SRCDIR}/chbgv.f
   ${LAPACK_SRCDIR}/chbgvd.f
   ${LAPACK_SRCDIR}/chbgvx.f
   ${LAPACK_SRCDIR}/chbtrd.f
   ${LAPACK_SRCDIR}/checon.f
   ${LAPACK_SRCDIR}/cheev.f
   ${LAPACK_SRCDIR}/cheevd.f
   ${LAPACK_SRCDIR}/cheevr.f
   ${LAPACK_SRCDIR}/cheevx.f
   ${LAPACK_SRCDIR}/chegs2.f
   ${LAPACK_SRCDIR}/chegst.f
   ${LAPACK_SRCDIR}/chegv.f
   ${LAPACK_SRCDIR}/chegvd.f
   ${LAPACK_SRCDIR}/chegvx.f
   ${LAPACK_SRCDIR}/cherfs.f
   ${LAPACK_SRCDIR}/chesv.f
   ${LAPACK_SRCDIR}/chesvx.f
   ${LAPACK_SRCDIR}/chetd2.f
   ${LAPACK_SRCDIR}/chetf2.f
   ${LAPACK_SRCDIR}/chetrd.f
   ${LAPACK_SRCDIR}/chetrf.f
   ${LAPACK_SRCDIR}/chetri.f
   ${LAPACK_SRCDIR}/chetri2.f
   ${LAPACK_SRCDIR}/chetri2x.f
   ${LAPACK_SRCDIR}/cheswapr.f
   ${LAPACK_SRCDIR}/chetrs.f
   ${LAPACK_SRCDIR}/chetrs2.f
   ${LAPACK_SRCDIR}/chetf2_rook.f
   ${LAPACK_SRCDIR}/chetrf_rook.f
   ${LAPACK_SRCDIR}/chetri_rook.f
   ${LAPACK_SRCDIR}/chetrs_rook.f
   ${LAPACK_SRCDIR}/checon_rook.f
   ${LAPACK_SRCDIR}/chesv_rook.f
   ${LAPACK_SRCDIR}/chetf2_rk.f
   ${LAPACK_SRCDIR}/chetrf_rk.f
   ${LAPACK_SRCDIR}/chetri_3.f
   ${LAPACK_SRCDIR}/chetri_3x.f
   ${LAPACK_SRCDIR}/chetrs_3.f
   ${LAPACK_SRCDIR}/checon_3.f
   ${LAPACK_SRCDIR}/chesv_rk.f
   ${LAPACK_SRCDIR}/chesv_aa.f
   ${LAPACK_SRCDIR}/chetrf_aa.f
   ${LAPACK_SRCDIR}/chetrs_aa.f
   ${LAPACK_SRCDIR}/chesv_aa_2stage.f
   ${LAPACK_SRCDIR}/chetrf_aa_2stage.f
   ${LAPACK_SRCDIR}/chetrs_aa_2stage.f
   ${LAPACK_SRCDIR}/chgeqz.f
   ${LAPACK_SRCDIR}/chpcon.f
   ${LAPACK_SRCDIR}/chpev.f
   ${LAPACK_SRCDIR}/chpevd.f
   ${LAPACK_SRCDIR}/chpevx.f
   ${LAPACK_SRCDIR}/chpgst.f
   ${LAPACK_SRCDIR}/chpgv.f
   ${LAPACK_SRCDIR}/chpgvd.f
   ${LAPACK_SRCDIR}/chpgvx.f
   ${LAPACK_SRCDIR}/chprfs.f
   ${LAPACK_SRCDIR}/chpsv.f
   ${LAPACK_SRCDIR}/chpsvx.f
   ${LAPACK_SRCDIR}/chptrd.f
   ${LAPACK_SRCDIR}/chptrf.f
   ${LAPACK_SRCDIR}/chptri.f
   ${LAPACK_SRCDIR}/chptrs.f
   ${LAPACK_SRCDIR}/chsein.f
   ${LAPACK_SRCDIR}/chseqr.f
   ${LAPACK_SRCDIR}/clabrd.f
   ${LAPACK_SRCDIR}/clacgv.f
   ${LAPACK_SRCDIR}/clacon.f
   ${LAPACK_SRCDIR}/clacn2.f
   ${LAPACK_SRCDIR}/clacp2.f
   ${LAPACK_SRCDIR}/clacpy.f
   ${LAPACK_SRCDIR}/clacrm.f
   ${LAPACK_SRCDIR}/clacrt.f
   ${LAPACK_SRCDIR}/cladiv.f
   ${LAPACK_SRCDIR}/claed0.f
   ${LAPACK_SRCDIR}/claed7.f
   ${LAPACK_SRCDIR}/claed8.f
   ${LAPACK_SRCDIR}/claein.f
   ${LAPACK_SRCDIR}/claesy.f
   ${LAPACK_SRCDIR}/claev2.f
   ${LAPACK_SRCDIR}/clags2.f
   ${LAPACK_SRCDIR}/clagtm.f
   ${LAPACK_SRCDIR}/clahef.f
   ${LAPACK_SRCDIR}/clahef_rook.f
   ${LAPACK_SRCDIR}/clahef_rk.f
   ${LAPACK_SRCDIR}/clahef_aa.f
   ${LAPACK_SRCDIR}/clahqr.f
   ${LAPACK_SRCDIR}/clahr2.f
   ${LAPACK_SRCDIR}/claic1.f
   ${LAPACK_SRCDIR}/clals0.f
   ${LAPACK_SRCDIR}/clalsa.f
   ${LAPACK_SRCDIR}/clalsd.f
   ${LAPACK_SRCDIR}/clangb.f
   ${LAPACK_SRCDIR}/clange.f
   ${LAPACK_SRCDIR}/clangt.f
   ${LAPACK_SRCDIR}/clanhb.f
   ${LAPACK_SRCDIR}/clanhe.f
   ${LAPACK_SRCDIR}/clanhp.f
   ${LAPACK_SRCDIR}/clanhs.f
   ${LAPACK_SRCDIR}/clanht.f
   ${LAPACK_SRCDIR}/clansb.f
   ${LAPACK_SRCDIR}/clansp.f
   ${LAPACK_SRCDIR}/clansy.f
   ${LAPACK_SRCDIR}/clantb.f
   ${LAPACK_SRCDIR}/clantp.f
   ${LAPACK_SRCDIR}/clantr.f
   ${LAPACK_SRCDIR}/clapll.f
   ${LAPACK_SRCDIR}/clapmt.f
   ${LAPACK_SRCDIR}/clarcm.f
   ${LAPACK_SRCDIR}/claqgb.f
   ${LAPACK_SRCDIR}/claqge.f
   ${LAPACK_SRCDIR}/claqhb.f
   ${LAPACK_SRCDIR}/claqhe.f
   ${LAPACK_SRCDIR}/claqhp.f
   ${LAPACK_SRCDIR}/claqp2.f
   ${LAPACK_SRCDIR}/claqps.f
   ${LAPACK_SRCDIR}/claqsb.f
   ${LAPACK_SRCDIR}/claqr0.f
   ${LAPACK_SRCDIR}/claqr1.f
   ${LAPACK_SRCDIR}/claqr2.f
   ${LAPACK_SRCDIR}/claqr3.f
   ${LAPACK_SRCDIR}/claqr4.f
   ${LAPACK_SRCDIR}/claqr5.f
   ${LAPACK_SRCDIR}/claqsp.f
   ${LAPACK_SRCDIR}/claqsy.f
   ${LAPACK_SRCDIR}/clar1v.f
   ${LAPACK_SRCDIR}/clar2v.f
   ${LAPACK_SRCDIR}/ilaclr.f
   ${LAPACK_SRCDIR}/ilaclc.f
   ${LAPACK_SRCDIR}/clarf.f
   ${LAPACK_SRCDIR}/clarfb.f
   ${LAPACK_SRCDIR}/clarfg.f
   ${LAPACK_SRCDIR}/clarfgp.f
   ${LAPACK_SRCDIR}/clarft.f
   ${LAPACK_SRCDIR}/clarfx.f
   ${LAPACK_SRCDIR}/clarfy.f
   ${LAPACK_SRCDIR}/clargv.f
   ${LAPACK_SRCDIR}/clarnv.f
   ${LAPACK_SRCDIR}/clarrv.f
   ${LAPACK_SRCDIR}/clartg.f
   ${LAPACK_SRCDIR}/clartv.f
   ${LAPACK_SRCDIR}/clarz.f
   ${LAPACK_SRCDIR}/clarzb.f
   ${LAPACK_SRCDIR}/clarzt.f
   ${LAPACK_SRCDIR}/clascl.f
   ${LAPACK_SRCDIR}/claset.f
   ${LAPACK_SRCDIR}/clasr.f
   ${LAPACK_SRCDIR}/classq.f
   ${LAPACK_SRCDIR}/claswp.f
   ${LAPACK_SRCDIR}/clasyf.f
   ${LAPACK_SRCDIR}/clasyf_rook.f
   ${LAPACK_SRCDIR}/clasyf_rk.f
   ${LAPACK_SRCDIR}/clasyf_aa.f
   ${LAPACK_SRCDIR}/clatbs.f
   ${LAPACK_SRCDIR}/clatdf.f
   ${LAPACK_SRCDIR}/clatps.f
   ${LAPACK_SRCDIR}/clatrd.f
   ${LAPACK_SRCDIR}/clatrs.f
   ${LAPACK_SRCDIR}/clatrz.f
   ${LAPACK_SRCDIR}/clauu2.f
   ${LAPACK_SRCDIR}/clauum.f
   ${LAPACK_SRCDIR}/cpbcon.f
   ${LAPACK_SRCDIR}/cpbequ.f
   ${LAPACK_SRCDIR}/cpbrfs.f
   ${LAPACK_SRCDIR}/cpbstf.f
   ${LAPACK_SRCDIR}/cpbsv.f
   ${LAPACK_SRCDIR}/cpbsvx.f
   ${LAPACK_SRCDIR}/cpbtf2.f
   ${LAPACK_SRCDIR}/cpbtrf.f
   ${LAPACK_SRCDIR}/cpbtrs.f
   ${LAPACK_SRCDIR}/cpocon.f
   ${LAPACK_SRCDIR}/cpoequ.f
   ${LAPACK_SRCDIR}/cporfs.f
   ${LAPACK_SRCDIR}/cposv.f
   ${LAPACK_SRCDIR}/cposvx.f
   ${LAPACK_SRCDIR}/cpotf2.f
   ${LAPACK_SRCDIR}/cpotrf2.f
   ${LAPACK_SRCDIR}/cpotri.f
   ${LAPACK_SRCDIR}/cpstrf.f
   ${LAPACK_SRCDIR}/cpstf2.f
   ${LAPACK_SRCDIR}/cppcon.f
   ${LAPACK_SRCDIR}/cppequ.f
   ${LAPACK_SRCDIR}/cpprfs.f
   ${LAPACK_SRCDIR}/cppsv.f
   ${LAPACK_SRCDIR}/cppsvx.f
   ${LAPACK_SRCDIR}/cpptrf.f
   ${LAPACK_SRCDIR}/cpptri.f
   ${LAPACK_SRCDIR}/cpptrs.f
   ${LAPACK_SRCDIR}/cptcon.f
   ${LAPACK_SRCDIR}/cpteqr.f
   ${LAPACK_SRCDIR}/cptrfs.f
   ${LAPACK_SRCDIR}/cptsv.f
   ${LAPACK_SRCDIR}/cptsvx.f
   ${LAPACK_SRCDIR}/cpttrf.f
   ${LAPACK_SRCDIR}/cpttrs.f
   ${LAPACK_SRCDIR}/cptts2.f
   ${LAPACK_SRCDIR}/crot.f
   ${LAPACK_SRCDIR}/cspcon.f
   ${LAPACK_SRCDIR}/cspmv.f
   ${LAPACK_SRCDIR}/cspr.f
   ${LAPACK_SRCDIR}/csprfs.f
   ${LAPACK_SRCDIR}/cspsv.f
   ${LAPACK_SRCDIR}/cspsvx.f
   ${LAPACK_SRCDIR}/csptrf.f
   ${LAPACK_SRCDIR}/csptri.f
   ${LAPACK_SRCDIR}/csptrs.f
   ${LAPACK_SRCDIR}/csrscl.f
   ${LAPACK_SRCDIR}/cstedc.f
   ${LAPACK_SRCDIR}/cstegr.f
   ${LAPACK_SRCDIR}/cstein.f
   ${LAPACK_SRCDIR}/csteqr.f
   ${LAPACK_SRCDIR}/csycon.f
   ${LAPACK_SRCDIR}/csymv.f
   ${LAPACK_SRCDIR}/csyr.f
   ${LAPACK_SRCDIR}/csyrfs.f
   ${LAPACK_SRCDIR}/csysv.f
   ${LAPACK_SRCDIR}/csysvx.f
   ${LAPACK_SRCDIR}/csytf2.f
   ${LAPACK_SRCDIR}/csytrf.f
   ${LAPACK_SRCDIR}/csytri.f
   ${LAPACK_SRCDIR}/csytri2.f
   ${LAPACK_SRCDIR}/csytri2x.f
   ${LAPACK_SRCDIR}/csyswapr.f
   ${LAPACK_SRCDIR}/csytrs.f
   ${LAPACK_SRCDIR}/csytrs2.f
   ${LAPACK_SRCDIR}/csyconv.f
   ${LAPACK_SRCDIR}/csyconvf.f
   ${LAPACK_SRCDIR}/csyconvf_rook.f
   ${LAPACK_SRCDIR}/csytf2_rook.f
   ${LAPACK_SRCDIR}/csytrf_rook.f
   ${LAPACK_SRCDIR}/csytrs_rook.f
   ${LAPACK_SRCDIR}/csytri_rook.f
   ${LAPACK_SRCDIR}/csycon_rook.f
   ${LAPACK_SRCDIR}/csysv_rook.f
   ${LAPACK_SRCDIR}/csytf2_rk.f
   ${LAPACK_SRCDIR}/csytrf_rk.f
   ${LAPACK_SRCDIR}/csytrf_aa.f
   ${LAPACK_SRCDIR}/csytrs_3.f
   ${LAPACK_SRCDIR}/csytrs_aa.f
   ${LAPACK_SRCDIR}/csytri_3.f
   ${LAPACK_SRCDIR}/csytri_3x.f
   ${LAPACK_SRCDIR}/csycon_3.f
   ${LAPACK_SRCDIR}/csysv_rk.f
   ${LAPACK_SRCDIR}/csysv_aa.f
   ${LAPACK_SRCDIR}/csysv_aa_2stage.f
   ${LAPACK_SRCDIR}/csytrf_aa_2stage.f
   ${LAPACK_SRCDIR}/csytrs_aa_2stage.f
   ${LAPACK_SRCDIR}/ctbcon.f
   ${LAPACK_SRCDIR}/ctbrfs.f
   ${LAPACK_SRCDIR}/ctbtrs.f
   ${LAPACK_SRCDIR}/ctgevc.f
   ${LAPACK_SRCDIR}/ctgex2.f
   ${LAPACK_SRCDIR}/ctgexc.f
   ${LAPACK_SRCDIR}/ctgsen.f
   ${LAPACK_SRCDIR}/ctgsja.f
   ${LAPACK_SRCDIR}/ctgsna.f
   ${LAPACK_SRCDIR}/ctgsy2.f
   ${LAPACK_SRCDIR}/ctgsyl.f
   ${LAPACK_SRCDIR}/ctpcon.f
   ${LAPACK_SRCDIR}/ctprfs.f
   ${LAPACK_SRCDIR}/ctptri.f
   ${LAPACK_SRCDIR}/ctptrs.f
   ${LAPACK_SRCDIR}/ctrcon.f
   ${LAPACK_SRCDIR}/ctrevc.f
   ${LAPACK_SRCDIR}/ctrevc3.f
   ${LAPACK_SRCDIR}/ctrexc.f
   ${LAPACK_SRCDIR}/ctrrfs.f
   ${LAPACK_SRCDIR}/ctrsen.f
   ${LAPACK_SRCDIR}/ctrsna.f
   ${LAPACK_SRCDIR}/ctrsyl.f
   ${LAPACK_SRCDIR}/ctrti2.f
   ${LAPACK_SRCDIR}/ctrtri.f
   ${LAPACK_SRCDIR}/ctrtrs.f
   ${LAPACK_SRCDIR}/ctzrzf.f
   ${LAPACK_SRCDIR}/cung2l.f
   ${LAPACK_SRCDIR}/cung2r.f
   ${LAPACK_SRCDIR}/cungbr.f
   ${LAPACK_SRCDIR}/cunghr.f
   ${LAPACK_SRCDIR}/cungl2.f
   ${LAPACK_SRCDIR}/cunglq.f
   ${LAPACK_SRCDIR}/cungql.f
   ${LAPACK_SRCDIR}/cungqr.f
   ${LAPACK_SRCDIR}/cungr2.f
   ${LAPACK_SRCDIR}/cungrq.f
   ${LAPACK_SRCDIR}/cungtr.f
   ${LAPACK_SRCDIR}/cunm2l.f
   ${LAPACK_SRCDIR}/cunm2r.f
   ${LAPACK_SRCDIR}/cunmbr.f
   ${LAPACK_SRCDIR}/cunmhr.f
   ${LAPACK_SRCDIR}/cunml2.f
   ${LAPACK_SRCDIR}/cunm22.f
   ${LAPACK_SRCDIR}/cunmlq.f
   ${LAPACK_SRCDIR}/cunmql.f
   ${LAPACK_SRCDIR}/cunmqr.f
   ${LAPACK_SRCDIR}/cunmr2.f
   ${LAPACK_SRCDIR}/cunmr3.f
   ${LAPACK_SRCDIR}/cunmrq.f
   ${LAPACK_SRCDIR}/cunmrz.f
   ${LAPACK_SRCDIR}/cunmtr.f
   ${LAPACK_SRCDIR}/cupgtr.f
   ${LAPACK_SRCDIR}/cupmtr.f
   ${LAPACK_SRCDIR}/icmax1.f
   ${LAPACK_SRCDIR}/scsum1.f
   ${LAPACK_SRCDIR}/cstemr.f
   ${LAPACK_SRCDIR}/chfrk.f
   ${LAPACK_SRCDIR}/ctfttp.f
   ${LAPACK_SRCDIR}/clanhf.f
   ${LAPACK_SRCDIR}/cpftrf.f
   ${LAPACK_SRCDIR}/cpftri.f
   ${LAPACK_SRCDIR}/cpftrs.f
   ${LAPACK_SRCDIR}/ctfsm.f
   ${LAPACK_SRCDIR}/ctftri.f
   ${LAPACK_SRCDIR}/ctfttr.f
   ${LAPACK_SRCDIR}/ctpttf.f
   ${LAPACK_SRCDIR}/ctpttr.f
   ${LAPACK_SRCDIR}/ctrttf.f
   ${LAPACK_SRCDIR}/ctrttp.f
   ${LAPACK_SRCDIR}/cgeequb.f
   ${LAPACK_SRCDIR}/cgbequb.f
   ${LAPACK_SRCDIR}/csyequb.f
   ${LAPACK_SRCDIR}/cpoequb.f
   ${LAPACK_SRCDIR}/cheequb.f
   ${LAPACK_SRCDIR}/cbbcsd.f
   ${LAPACK_SRCDIR}/clapmr.f
   ${LAPACK_SRCDIR}/cunbdb.f
   ${LAPACK_SRCDIR}/cunbdb1.f
   ${LAPACK_SRCDIR}/cunbdb2.f
   ${LAPACK_SRCDIR}/cunbdb3.f
   ${LAPACK_SRCDIR}/cunbdb4.f
   ${LAPACK_SRCDIR}/cunbdb5.f
   ${LAPACK_SRCDIR}/cunbdb6.f
   ${LAPACK_SRCDIR}/cuncsd.f
   ${LAPACK_SRCDIR}/cuncsd2by1.f
   ${LAPACK_SRCDIR}/cgeqrt.f
   ${LAPACK_SRCDIR}/cgeqrt2.f
   ${LAPACK_SRCDIR}/cgeqrt3.f
   ${LAPACK_SRCDIR}/cgemqrt.f
   ${LAPACK_SRCDIR}/ctpqrt.f
   ${LAPACK_SRCDIR}/ctpqrt2.f
   ${LAPACK_SRCDIR}/ctpmqrt.f
   ${LAPACK_SRCDIR}/ctprfb.f
   ${LAPACK_SRCDIR}/cgelqt.f
   ${LAPACK_SRCDIR}/cgelqt3.f
   ${LAPACK_SRCDIR}/cgemlqt.f
   ${LAPACK_SRCDIR}/cgetsls.f
   ${LAPACK_SRCDIR}/cgeqr.f
   ${LAPACK_SRCDIR}/clatsqr.f
   ${LAPACK_SRCDIR}/clamtsqr.f
   ${LAPACK_SRCDIR}/cgemqr.f
   ${LAPACK_SRCDIR}/cgelq.f
   ${LAPACK_SRCDIR}/claswlq.f
   ${LAPACK_SRCDIR}/clamswlq.f
   ${LAPACK_SRCDIR}/cgemlq.f
   ${LAPACK_SRCDIR}/ctplqt.f
   ${LAPACK_SRCDIR}/ctplqt2.f
   ${LAPACK_SRCDIR}/ctpmlqt.f
   ${LAPACK_SRCDIR}/chetrd_2stage.f
   ${LAPACK_SRCDIR}/chetrd_he2hb.f
   ${LAPACK_SRCDIR}/chetrd_hb2st.F
   ${LAPACK_SRCDIR}/chb2st_kernels.f
   ${LAPACK_SRCDIR}/cheevd_2stage.f
   ${LAPACK_SRCDIR}/cheev_2stage.f
   ${LAPACK_SRCDIR}/cheevx_2stage.f
   ${LAPACK_SRCDIR}/cheevr_2stage.f
   ${LAPACK_SRCDIR}/chbev_2stage.f
   ${LAPACK_SRCDIR}/chbevx_2stage.f
   ${LAPACK_SRCDIR}/chbevd_2stage.f
   ${LAPACK_SRCDIR}/chegv_2stage.f

   #CXLASRC can only use this if you have XBLAS
   # ${LAPACK_SRCDIR}/cgesvxx.f
   # ${LAPACK_SRCDIR}/cgerfsx.f
   # ${LAPACK_SRCDIR}/cla_gerfsx_extended.f
   # ${LAPACK_SRCDIR}/cla_geamv.f
   # ${LAPACK_SRCDIR}/cla_gercond_c.f
   # ${LAPACK_SRCDIR}/cla_gercond_x.f
   # ${LAPACK_SRCDIR}/cla_gerpvgrw.f
   # ${LAPACK_SRCDIR}/csysvxx.f
   # ${LAPACK_SRCDIR}/csyrfsx.f
   # ${LAPACK_SRCDIR}/cla_syrfsx_extended.f
   # ${LAPACK_SRCDIR}/cla_syamv.f
   # ${LAPACK_SRCDIR}/cla_syrcond_c.f
   # ${LAPACK_SRCDIR}/cla_syrcond_x.f
   # ${LAPACK_SRCDIR}/cla_syrpvgrw.f
   # ${LAPACK_SRCDIR}/cposvxx.f
   # ${LAPACK_SRCDIR}/cporfsx.f
   # ${LAPACK_SRCDIR}/cla_porfsx_extended.f
   # ${LAPACK_SRCDIR}/cla_porcond_c.f
   # ${LAPACK_SRCDIR}/cla_porcond_x.f
   # ${LAPACK_SRCDIR}/cla_porpvgrw.f
   # ${LAPACK_SRCDIR}/cgbsvxx.f
   # ${LAPACK_SRCDIR}/cgbrfsx.f
   # ${LAPACK_SRCDIR}/cla_gbrfsx_extended.f
   # ${LAPACK_SRCDIR}/cla_gbamv.f
   # ${LAPACK_SRCDIR}/cla_gbrcond_c.f
   # ${LAPACK_SRCDIR}/cla_gbrcond_x.f
   # ${LAPACK_SRCDIR}/cla_gbrpvgrw.f
   # ${LAPACK_SRCDIR}/chesvxx.f
   # ${LAPACK_SRCDIR}/cherfsx.f
   # ${LAPACK_SRCDIR}/cla_herfsx_extended.f
   # ${LAPACK_SRCDIR}/cla_heamv.f
   # ${LAPACK_SRCDIR}/cla_hercond_c.f
   # ${LAPACK_SRCDIR}/cla_hercond_x.f
   # ${LAPACK_SRCDIR}/cla_herpvgrw.f
   # ${LAPACK_SRCDIR}/cla_lin_berr.f
   # ${LAPACK_SRCDIR}/clarscl2.f
   # ${LAPACK_SRCDIR}/clascl2.f
   # ${LAPACK_SRCDIR}/cla_wwaddw.f
   
   #ZCLASRC
   ${LAPACK_SRCDIR}/cpotrs.f
   ${LAPACK_SRCDIR}/cgetrs.f
   ${LAPACK_SRCDIR}/cpotrf.f
   ${LAPACK_SRCDIR}/cgetrf.f
   
   #DLASRC
   ${LAPACK_SRCDIR}/dbdsvdx.f
   ${LAPACK_SRCDIR}/dgbbrd.f
   ${LAPACK_SRCDIR}/dgbcon.f
   ${LAPACK_SRCDIR}/dgbequ.f
   ${LAPACK_SRCDIR}/dgbrfs.f
   ${LAPACK_SRCDIR}/dgbsv.f
   ${LAPACK_SRCDIR}/dgbsvx.f
   ${LAPACK_SRCDIR}/dgbtf2.f
   ${LAPACK_SRCDIR}/dgbtrf.f
   ${LAPACK_SRCDIR}/dgbtrs.f
   ${LAPACK_SRCDIR}/dgebak.f
   ${LAPACK_SRCDIR}/dgebal.f
   ${LAPACK_SRCDIR}/dgebd2.f
   ${LAPACK_SRCDIR}/dgebrd.f
   ${LAPACK_SRCDIR}/dgecon.f
   ${LAPACK_SRCDIR}/dgeequ.f
   ${LAPACK_SRCDIR}/dgees.f
   ${LAPACK_SRCDIR}/dgeesx.f
   ${LAPACK_SRCDIR}/dgeev.f
   ${LAPACK_SRCDIR}/dgeevx.f
   ${LAPACK_SRCDIR}/dgehd2.f
   ${LAPACK_SRCDIR}/dgehrd.f
   ${LAPACK_SRCDIR}/dgelq2.f
   ${LAPACK_SRCDIR}/dgelqf.f
   ${LAPACK_SRCDIR}/dgels.f
   ${LAPACK_SRCDIR}/dgelsd.f
   ${LAPACK_SRCDIR}/dgelss.f
   ${LAPACK_SRCDIR}/dgelsy.f
   ${LAPACK_SRCDIR}/dgeql2.f
   ${LAPACK_SRCDIR}/dgeqlf.f
   ${LAPACK_SRCDIR}/dgeqp3.f
   ${LAPACK_SRCDIR}/dgeqr2.f
   ${LAPACK_SRCDIR}/dgeqr2p.f
   ${LAPACK_SRCDIR}/dgeqrf.f
   ${LAPACK_SRCDIR}/dgeqrfp.f
   ${LAPACK_SRCDIR}/dgerfs.f
   ${LAPACK_SRCDIR}/dgerq2.f
   ${LAPACK_SRCDIR}/dgerqf.f
   ${LAPACK_SRCDIR}/dgesc2.f
   ${LAPACK_SRCDIR}/dgesdd.f
   ${LAPACK_SRCDIR}/dgesv.f
   ${LAPACK_SRCDIR}/dgesvd.f
   ${LAPACK_SRCDIR}/dgesvdx.f
   ${LAPACK_SRCDIR}/dgesvx.f
   ${LAPACK_SRCDIR}/dgetc2.f
   ${LAPACK_SRCDIR}/dgetf2.f
   ${LAPACK_SRCDIR}/dgetrf.f
   ${LAPACK_SRCDIR}/dgetrf2.f
   ${LAPACK_SRCDIR}/dgetri.f
   ${LAPACK_SRCDIR}/dgetrs.f
   ${LAPACK_SRCDIR}/dggbak.f
   ${LAPACK_SRCDIR}/dggbal.f
   ${LAPACK_SRCDIR}/dgges.f
   ${LAPACK_SRCDIR}/dgges3.f
   ${LAPACK_SRCDIR}/dggesx.f
   ${LAPACK_SRCDIR}/dggev.f
   ${LAPACK_SRCDIR}/dggev3.f
   ${LAPACK_SRCDIR}/dggevx.f
   ${LAPACK_SRCDIR}/dggglm.f
   ${LAPACK_SRCDIR}/dgghrd.f
   ${LAPACK_SRCDIR}/dgghd3.f
   ${LAPACK_SRCDIR}/dgglse.f
   ${LAPACK_SRCDIR}/dggqrf.f
   ${LAPACK_SRCDIR}/dggrqf.f
   ${LAPACK_SRCDIR}/dggsvd3.f
   ${LAPACK_SRCDIR}/dggsvp3.f
   ${LAPACK_SRCDIR}/dgtcon.f
   ${LAPACK_SRCDIR}/dgtrfs.f
   ${LAPACK_SRCDIR}/dgtsv.f
   ${LAPACK_SRCDIR}/dgtsvx.f
   ${LAPACK_SRCDIR}/dgttrf.f
   ${LAPACK_SRCDIR}/dgttrs.f
   ${LAPACK_SRCDIR}/dgtts2.f
   ${LAPACK_SRCDIR}/dhgeqz.f
   ${LAPACK_SRCDIR}/dhsein.f
   ${LAPACK_SRCDIR}/dhseqr.f
   ${LAPACK_SRCDIR}/dlabrd.f
   ${LAPACK_SRCDIR}/dlacon.f
   ${LAPACK_SRCDIR}/dlacn2.f
   ${LAPACK_SRCDIR}/dlaein.f
   ${LAPACK_SRCDIR}/dlaexc.f
   ${LAPACK_SRCDIR}/dlag2.f
   ${LAPACK_SRCDIR}/dlags2.f
   ${LAPACK_SRCDIR}/dlagtm.f
   ${LAPACK_SRCDIR}/dlagv2.f
   ${LAPACK_SRCDIR}/dlahqr.f
   ${LAPACK_SRCDIR}/dlahr2.f
   ${LAPACK_SRCDIR}/dlaic1.f
   ${LAPACK_SRCDIR}/dlaln2.f
   ${LAPACK_SRCDIR}/dlals0.f
   ${LAPACK_SRCDIR}/dlalsa.f
   ${LAPACK_SRCDIR}/dlalsd.f
   ${LAPACK_SRCDIR}/dlangb.f
   ${LAPACK_SRCDIR}/dlange.f
   ${LAPACK_SRCDIR}/dlangt.f
   ${LAPACK_SRCDIR}/dlanhs.f
   ${LAPACK_SRCDIR}/dlansb.f
   ${LAPACK_SRCDIR}/dlansp.f
   ${LAPACK_SRCDIR}/dlansy.f
   ${LAPACK_SRCDIR}/dlantb.f
   ${LAPACK_SRCDIR}/dlantp.f
   ${LAPACK_SRCDIR}/dlantr.f
   ${LAPACK_SRCDIR}/dlanv2.f
   ${LAPACK_SRCDIR}/dlapll.f
   ${LAPACK_SRCDIR}/dlapmt.f
   ${LAPACK_SRCDIR}/dlaqgb.f
   ${LAPACK_SRCDIR}/dlaqge.f
   ${LAPACK_SRCDIR}/dlaqp2.f
   ${LAPACK_SRCDIR}/dlaqps.f
   ${LAPACK_SRCDIR}/dlaqsb.f
   ${LAPACK_SRCDIR}/dlaqsp.f
   ${LAPACK_SRCDIR}/dlaqsy.f
   ${LAPACK_SRCDIR}/dlaqr0.f
   ${LAPACK_SRCDIR}/dlaqr1.f
   ${LAPACK_SRCDIR}/dlaqr2.f
   ${LAPACK_SRCDIR}/dlaqr3.f
   ${LAPACK_SRCDIR}/dlaqr4.f
   ${LAPACK_SRCDIR}/dlaqr5.f
   ${LAPACK_SRCDIR}/dlaqtr.f
   ${LAPACK_SRCDIR}/dlar1v.f
   ${LAPACK_SRCDIR}/dlar2v.f
   ${LAPACK_SRCDIR}/iladlr.f
   ${LAPACK_SRCDIR}/iladlc.f
   ${LAPACK_SRCDIR}/dlarf.f
   ${LAPACK_SRCDIR}/dlarfb.f
   ${LAPACK_SRCDIR}/dlarfg.f
   ${LAPACK_SRCDIR}/dlarfgp.f
   ${LAPACK_SRCDIR}/dlarft.f
   ${LAPACK_SRCDIR}/dlarfx.f
   ${LAPACK_SRCDIR}/dlarfy.f
   ${LAPACK_SRCDIR}/dlargv.f
   ${LAPACK_SRCDIR}/dlarrv.f
   ${LAPACK_SRCDIR}/dlartv.f
   ${LAPACK_SRCDIR}/dlarz.f
   ${LAPACK_SRCDIR}/dlarzb.f
   ${LAPACK_SRCDIR}/dlarzt.f
   ${LAPACK_SRCDIR}/dlaswp.f
   ${LAPACK_SRCDIR}/dlasy2.f
   ${LAPACK_SRCDIR}/dlasyf.f
   ${LAPACK_SRCDIR}/dlasyf_rook.f
   ${LAPACK_SRCDIR}/dlasyf_rk.f
   ${LAPACK_SRCDIR}/dlasyf_aa.f
   ${LAPACK_SRCDIR}/dlatbs.f
   ${LAPACK_SRCDIR}/dlatdf.f
   ${LAPACK_SRCDIR}/dlatps.f
   ${LAPACK_SRCDIR}/dlatrd.f
   ${LAPACK_SRCDIR}/dlatrs.f
   ${LAPACK_SRCDIR}/dlatrz.f
   ${LAPACK_SRCDIR}/dlauu2.f
   ${LAPACK_SRCDIR}/dlauum.f
   ${LAPACK_SRCDIR}/dopgtr.f
   ${LAPACK_SRCDIR}/dopmtr.f
   ${LAPACK_SRCDIR}/dorg2l.f
   ${LAPACK_SRCDIR}/dorg2r.f
   ${LAPACK_SRCDIR}/dorgbr.f
   ${LAPACK_SRCDIR}/dorghr.f
   ${LAPACK_SRCDIR}/dorgl2.f
   ${LAPACK_SRCDIR}/dorglq.f
   ${LAPACK_SRCDIR}/dorgql.f
   ${LAPACK_SRCDIR}/dorgqr.f
   ${LAPACK_SRCDIR}/dorgr2.f
   ${LAPACK_SRCDIR}/dorgrq.f
   ${LAPACK_SRCDIR}/dorgtr.f
   ${LAPACK_SRCDIR}/dorm2l.f
   ${LAPACK_SRCDIR}/dorm2r.f
   ${LAPACK_SRCDIR}/dorm22.f
   ${LAPACK_SRCDIR}/dormbr.f
   ${LAPACK_SRCDIR}/dormhr.f
   ${LAPACK_SRCDIR}/dorml2.f
   ${LAPACK_SRCDIR}/dormlq.f
   ${LAPACK_SRCDIR}/dormql.f
   ${LAPACK_SRCDIR}/dormqr.f
   ${LAPACK_SRCDIR}/dormr2.f
   ${LAPACK_SRCDIR}/dormr3.f
   ${LAPACK_SRCDIR}/dormrq.f
   ${LAPACK_SRCDIR}/dormrz.f
   ${LAPACK_SRCDIR}/dormtr.f
   ${LAPACK_SRCDIR}/dpbcon.f
   ${LAPACK_SRCDIR}/dpbequ.f
   ${LAPACK_SRCDIR}/dpbrfs.f
   ${LAPACK_SRCDIR}/dpbstf.f
   ${LAPACK_SRCDIR}/dpbsv.f
   ${LAPACK_SRCDIR}/dpbsvx.f
   ${LAPACK_SRCDIR}/dpbtf2.f
   ${LAPACK_SRCDIR}/dpbtrf.f
   ${LAPACK_SRCDIR}/dpbtrs.f
   ${LAPACK_SRCDIR}/dpocon.f
   ${LAPACK_SRCDIR}/dpoequ.f
   ${LAPACK_SRCDIR}/dporfs.f
   ${LAPACK_SRCDIR}/dposv.f
   ${LAPACK_SRCDIR}/dposvx.f
   ${LAPACK_SRCDIR}/dpotf2.f
   ${LAPACK_SRCDIR}/dpotrf.f
   ${LAPACK_SRCDIR}/dpotrf2.f
   ${LAPACK_SRCDIR}/dpotri.f
   ${LAPACK_SRCDIR}/dpotrs.f
   ${LAPACK_SRCDIR}/dpstrf.f
   ${LAPACK_SRCDIR}/dpstf2.f
   ${LAPACK_SRCDIR}/dppcon.f
   ${LAPACK_SRCDIR}/dppequ.f
   ${LAPACK_SRCDIR}/dpprfs.f
   ${LAPACK_SRCDIR}/dppsv.f
   ${LAPACK_SRCDIR}/dppsvx.f
   ${LAPACK_SRCDIR}/dpptrf.f
   ${LAPACK_SRCDIR}/dpptri.f
   ${LAPACK_SRCDIR}/dpptrs.f
   ${LAPACK_SRCDIR}/dptcon.f
   ${LAPACK_SRCDIR}/dpteqr.f
   ${LAPACK_SRCDIR}/dptrfs.f
   ${LAPACK_SRCDIR}/dptsv.f
   ${LAPACK_SRCDIR}/dptsvx.f
   ${LAPACK_SRCDIR}/dpttrs.f
   ${LAPACK_SRCDIR}/dptts2.f
   ${LAPACK_SRCDIR}/drscl.f
   ${LAPACK_SRCDIR}/dsbev.f
   ${LAPACK_SRCDIR}/dsbevd.f
   ${LAPACK_SRCDIR}/dsbevx.f
   ${LAPACK_SRCDIR}/dsbgst.f
   ${LAPACK_SRCDIR}/dsbgv.f
   ${LAPACK_SRCDIR}/dsbgvd.f
   ${LAPACK_SRCDIR}/dsbgvx.f
   ${LAPACK_SRCDIR}/dsbtrd.f
   ${LAPACK_SRCDIR}/dspcon.f
   ${LAPACK_SRCDIR}/dspev.f
   ${LAPACK_SRCDIR}/dspevd.f
   ${LAPACK_SRCDIR}/dspevx.f
   ${LAPACK_SRCDIR}/dspgst.f
   ${LAPACK_SRCDIR}/dspgv.f
   ${LAPACK_SRCDIR}/dspgvd.f
   ${LAPACK_SRCDIR}/dspgvx.f
   ${LAPACK_SRCDIR}/dsprfs.f
   ${LAPACK_SRCDIR}/dspsv.f
   ${LAPACK_SRCDIR}/dspsvx.f
   ${LAPACK_SRCDIR}/dsptrd.f
   ${LAPACK_SRCDIR}/dsptrf.f
   ${LAPACK_SRCDIR}/dsptri.f
   ${LAPACK_SRCDIR}/dsptrs.f
   ${LAPACK_SRCDIR}/dstegr.f
   ${LAPACK_SRCDIR}/dstein.f
   ${LAPACK_SRCDIR}/dstev.f
   ${LAPACK_SRCDIR}/dstevd.f
   ${LAPACK_SRCDIR}/dstevr.f
   ${LAPACK_SRCDIR}/dstevx.f
   ${LAPACK_SRCDIR}/dsycon.f
   ${LAPACK_SRCDIR}/dsyev.f
   ${LAPACK_SRCDIR}/dsyevd.f
   ${LAPACK_SRCDIR}/dsyevr.f
   ${LAPACK_SRCDIR}/dsyevx.f
   ${LAPACK_SRCDIR}/dsygs2.f
   ${LAPACK_SRCDIR}/dsygst.f
   ${LAPACK_SRCDIR}/dsygv.f
   ${LAPACK_SRCDIR}/dsygvd.f
   ${LAPACK_SRCDIR}/dsygvx.f
   ${LAPACK_SRCDIR}/dsyrfs.f
   ${LAPACK_SRCDIR}/dsysv.f
   ${LAPACK_SRCDIR}/dsysvx.f
   ${LAPACK_SRCDIR}/dsytd2.f
   ${LAPACK_SRCDIR}/dsytf2.f
   ${LAPACK_SRCDIR}/dsytrd.f
   ${LAPACK_SRCDIR}/dsytrf.f
   ${LAPACK_SRCDIR}/dsytri.f
   ${LAPACK_SRCDIR}/dsytrs.f
   ${LAPACK_SRCDIR}/dsytrs2.f
   ${LAPACK_SRCDIR}/dsytri2.f
   ${LAPACK_SRCDIR}/dsytri2x.f
   ${LAPACK_SRCDIR}/dsyswapr.f
   ${LAPACK_SRCDIR}/dsyconv.f
   ${LAPACK_SRCDIR}/dsyconvf.f
   ${LAPACK_SRCDIR}/dsyconvf_rook.f
   ${LAPACK_SRCDIR}/dsytf2_rook.f
   ${LAPACK_SRCDIR}/dsytrf_rook.f
   ${LAPACK_SRCDIR}/dsytrs_rook.f
   ${LAPACK_SRCDIR}/dsytri_rook.f
   ${LAPACK_SRCDIR}/dsycon_rook.f
   ${LAPACK_SRCDIR}/dsysv_rook.f
   ${LAPACK_SRCDIR}/dsytf2_rk.f
   ${LAPACK_SRCDIR}/dsytrf_rk.f
   ${LAPACK_SRCDIR}/dsytrs_3.f
   ${LAPACK_SRCDIR}/dsytri_3.f
   ${LAPACK_SRCDIR}/dsytri_3x.f
   ${LAPACK_SRCDIR}/dsycon_3.f
   ${LAPACK_SRCDIR}/dsysv_rk.f
   ${LAPACK_SRCDIR}/dsysv_aa.f
   ${LAPACK_SRCDIR}/dsytrf_aa.f
   ${LAPACK_SRCDIR}/dsytrs_aa.f
#   ${LAPACK_SRCDIR}/dsysv_aa_2stage.f
#   ${LAPACK_SRCDIR}/dsytrf_aa_2stage.f
#   ${LAPACK_SRCDIR}/dsytrs_aa_2stage.f
   ${LAPACK_SRCDIR}/dtbcon.f
   ${LAPACK_SRCDIR}/dtbrfs.f
   ${LAPACK_SRCDIR}/dtbtrs.f
   ${LAPACK_SRCDIR}/dtgevc.f
   ${LAPACK_SRCDIR}/dtgex2.f
   ${LAPACK_SRCDIR}/dtgexc.f
   ${LAPACK_SRCDIR}/dtgsen.f
   ${LAPACK_SRCDIR}/dtgsja.f
   ${LAPACK_SRCDIR}/dtgsna.f
   ${LAPACK_SRCDIR}/dtgsy2.f
   ${LAPACK_SRCDIR}/dtgsyl.f
   ${LAPACK_SRCDIR}/dtpcon.f
   ${LAPACK_SRCDIR}/dtprfs.f
   ${LAPACK_SRCDIR}/dtptri.f
   ${LAPACK_SRCDIR}/dtptrs.f
   ${LAPACK_SRCDIR}/dtrcon.f
   ${LAPACK_SRCDIR}/dtrevc.f
   ${LAPACK_SRCDIR}/dtrevc3.f
   ${LAPACK_SRCDIR}/dtrexc.f
   ${LAPACK_SRCDIR}/dtrrfs.f
   ${LAPACK_SRCDIR}/dtrsen.f
   ${LAPACK_SRCDIR}/dtrsna.f
   ${LAPACK_SRCDIR}/dtrsyl.f
   ${LAPACK_SRCDIR}/dtrti2.f
   ${LAPACK_SRCDIR}/dtrtri.f
   ${LAPACK_SRCDIR}/dtrtrs.f
   ${LAPACK_SRCDIR}/dtzrzf.f
   ${LAPACK_SRCDIR}/dstemr.f
   ${LAPACK_SRCDIR}/dsgesv.f
   ${LAPACK_SRCDIR}/dsposv.f
   ${LAPACK_SRCDIR}/dlag2s.f
   ${LAPACK_SRCDIR}/slag2d.f
   ${LAPACK_SRCDIR}/dlat2s.f
   ${LAPACK_SRCDIR}/dlansf.f
   ${LAPACK_SRCDIR}/dpftrf.f
   ${LAPACK_SRCDIR}/dpftri.f
   ${LAPACK_SRCDIR}/dpftrs.f
   ${LAPACK_SRCDIR}/dsfrk.f
   ${LAPACK_SRCDIR}/dtfsm.f
   ${LAPACK_SRCDIR}/dtftri.f
   ${LAPACK_SRCDIR}/dtfttp.f
   ${LAPACK_SRCDIR}/dtfttr.f
   ${LAPACK_SRCDIR}/dtpttf.f
   ${LAPACK_SRCDIR}/dtpttr.f
   ${LAPACK_SRCDIR}/dtrttf.f
   ${LAPACK_SRCDIR}/dtrttp.f
   ${LAPACK_SRCDIR}/dgejsv.f
   ${LAPACK_SRCDIR}/dgesvj.f
   ${LAPACK_SRCDIR}/dgsvj0.f
   ${LAPACK_SRCDIR}/dgsvj1.f
   ${LAPACK_SRCDIR}/dgeequb.f
   ${LAPACK_SRCDIR}/dsyequb.f
   ${LAPACK_SRCDIR}/dpoequb.f
   ${LAPACK_SRCDIR}/dgbequb.f
   ${LAPACK_SRCDIR}/dbbcsd.f
   ${LAPACK_SRCDIR}/dlapmr.f
   ${LAPACK_SRCDIR}/dorbdb.f
   ${LAPACK_SRCDIR}/dorbdb1.f
   ${LAPACK_SRCDIR}/dorbdb2.f
   ${LAPACK_SRCDIR}/dorbdb3.f
   ${LAPACK_SRCDIR}/dorbdb4.f
   ${LAPACK_SRCDIR}/dorbdb5.f
   ${LAPACK_SRCDIR}/dorbdb6.f
   ${LAPACK_SRCDIR}/dorcsd.f
   ${LAPACK_SRCDIR}/dorcsd2by1.f
   ${LAPACK_SRCDIR}/dgeqrt.f
   ${LAPACK_SRCDIR}/dgeqrt2.f
   ${LAPACK_SRCDIR}/dgeqrt3.f
   ${LAPACK_SRCDIR}/dgemqrt.f
   ${LAPACK_SRCDIR}/dtpqrt.f
   ${LAPACK_SRCDIR}/dtpqrt2.f
   ${LAPACK_SRCDIR}/dtpmqrt.f
   ${LAPACK_SRCDIR}/dtprfb.f
   ${LAPACK_SRCDIR}/dgelqt.f
   ${LAPACK_SRCDIR}/dgelqt3.f
   ${LAPACK_SRCDIR}/dgemlqt.f
   ${LAPACK_SRCDIR}/dgetsls.f
   ${LAPACK_SRCDIR}/dgeqr.f
   ${LAPACK_SRCDIR}/dlatsqr.f
   ${LAPACK_SRCDIR}/dlamtsqr.f
   ${LAPACK_SRCDIR}/dgemqr.f
   ${LAPACK_SRCDIR}/dgelq.f
   ${LAPACK_SRCDIR}/dlaswlq.f
   ${LAPACK_SRCDIR}/dlamswlq.f
   ${LAPACK_SRCDIR}/dgemlq.f
   ${LAPACK_SRCDIR}/dtplqt.f
   ${LAPACK_SRCDIR}/dtplqt2.f
   ${LAPACK_SRCDIR}/dtpmlqt.f
   ${LAPACK_SRCDIR}/dsytrd_2stage.f
   ${LAPACK_SRCDIR}/dsytrd_sy2sb.f
   ${LAPACK_SRCDIR}/dsytrd_sb2st.F
   ${LAPACK_SRCDIR}/dsb2st_kernels.f
   ${LAPACK_SRCDIR}/dsyevd_2stage.f
   ${LAPACK_SRCDIR}/dsyev_2stage.f
   ${LAPACK_SRCDIR}/dsyevx_2stage.f
   ${LAPACK_SRCDIR}/dsyevr_2stage.f
   ${LAPACK_SRCDIR}/dsbev_2stage.f
   ${LAPACK_SRCDIR}/dsbevx_2stage.f
   ${LAPACK_SRCDIR}/dsbevd_2stage.f
   ${LAPACK_SRCDIR}/dsygv_2stage.f

   #DXLASRC can only use this if you have XBLAS
   # ${LAPACK_SRCDIR}/dgesvxx.f
   # ${LAPACK_SRCDIR}/dgerfsx.f
   # ${LAPACK_SRCDIR}/dla_gerfsx_extended.f
   # ${LAPACK_SRCDIR}/dla_geamv.f
   # ${LAPACK_SRCDIR}/dla_gercond.f
   # ${LAPACK_SRCDIR}/dla_gerpvgrw.f
   # ${LAPACK_SRCDIR}/dsysvxx.f
   # ${LAPACK_SRCDIR}/dsyrfsx.f
   # ${LAPACK_SRCDIR}/dla_syrfsx_extended.f
   # ${LAPACK_SRCDIR}/dla_syamv.f
   # ${LAPACK_SRCDIR}/dla_syrcond.f
   # ${LAPACK_SRCDIR}/dla_syrpvgrw.f
   # ${LAPACK_SRCDIR}/dposvxx.f
   # ${LAPACK_SRCDIR}/dporfsx.f
   # ${LAPACK_SRCDIR}/dla_porfsx_extended.f
   # ${LAPACK_SRCDIR}/dla_porcond.f
   # ${LAPACK_SRCDIR}/dla_porpvgrw.f
   # ${LAPACK_SRCDIR}/dgbsvxx.f
   # ${LAPACK_SRCDIR}/dgbrfsx.f
   # ${LAPACK_SRCDIR}/dla_gbrfsx_extended.f
   # ${LAPACK_SRCDIR}/dla_gbamv.f
   # ${LAPACK_SRCDIR}/dla_gbrcond.f
   # ${LAPACK_SRCDIR}/dla_gbrpvgrw.f
   # ${LAPACK_SRCDIR}/dla_lin_berr.f
   # ${LAPACK_SRCDIR}/dlarscl2.f
   # ${LAPACK_SRCDIR}/dlascl2.f
   # ${LAPACK_SRCDIR}/dla_wwaddw.f

   #ZLASRC
   ${LAPACK_SRCDIR}/zbdsqr.f
   ${LAPACK_SRCDIR}/zgbbrd.f
   ${LAPACK_SRCDIR}/zgbcon.f
   ${LAPACK_SRCDIR}/zgbequ.f
   ${LAPACK_SRCDIR}/zgbrfs.f
   ${LAPACK_SRCDIR}/zgbsv.f
   ${LAPACK_SRCDIR}/zgbsvx.f
   ${LAPACK_SRCDIR}/zgbtf2.f
   ${LAPACK_SRCDIR}/zgbtrf.f
   ${LAPACK_SRCDIR}/zgbtrs.f
   ${LAPACK_SRCDIR}/zgebak.f
   ${LAPACK_SRCDIR}/zgebal.f
   ${LAPACK_SRCDIR}/zgebd2.f
   ${LAPACK_SRCDIR}/zgebrd.f
   ${LAPACK_SRCDIR}/zgecon.f
   ${LAPACK_SRCDIR}/zgeequ.f
   ${LAPACK_SRCDIR}/zgees.f
   ${LAPACK_SRCDIR}/zgeesx.f
   ${LAPACK_SRCDIR}/zgeev.f
   ${LAPACK_SRCDIR}/zgeevx.f
   ${LAPACK_SRCDIR}/zgehd2.f
   ${LAPACK_SRCDIR}/zgehrd.f
   ${LAPACK_SRCDIR}/zgelq2.f
   ${LAPACK_SRCDIR}/zgelqf.f
   ${LAPACK_SRCDIR}/zgels.f
   ${LAPACK_SRCDIR}/zgelsd.f
   ${LAPACK_SRCDIR}/zgelss.f
   ${LAPACK_SRCDIR}/zgelsy.f
   ${LAPACK_SRCDIR}/zgeql2.f
   ${LAPACK_SRCDIR}/zgeqlf.f
   ${LAPACK_SRCDIR}/zgeqp3.f
   ${LAPACK_SRCDIR}/zgeqr2.f
   ${LAPACK_SRCDIR}/zgeqr2p.f
   ${LAPACK_SRCDIR}/zgeqrf.f
   ${LAPACK_SRCDIR}/zgeqrfp.f
   ${LAPACK_SRCDIR}/zgerfs.f
   ${LAPACK_SRCDIR}/zgerq2.f
   ${LAPACK_SRCDIR}/zgerqf.f
   ${LAPACK_SRCDIR}/zgesc2.f
   ${LAPACK_SRCDIR}/zgesdd.f
   ${LAPACK_SRCDIR}/zgesv.f
   ${LAPACK_SRCDIR}/zgesvd.f
   ${LAPACK_SRCDIR}/zgesvdx.f
   ${LAPACK_SRCDIR}/zgesvx.f
   ${LAPACK_SRCDIR}/zgesvj.f
   ${LAPACK_SRCDIR}/zgejsv.f
   ${LAPACK_SRCDIR}/zgsvj0.f
   ${LAPACK_SRCDIR}/zgsvj1.f
   ${LAPACK_SRCDIR}/zgetc2.f
   ${LAPACK_SRCDIR}/zgetf2.f
   ${LAPACK_SRCDIR}/zgetrf.f
   ${LAPACK_SRCDIR}/zgetrf2.f
   ${LAPACK_SRCDIR}/zgetri.f
   ${LAPACK_SRCDIR}/zgetrs.f
   ${LAPACK_SRCDIR}/zggbak.f
   ${LAPACK_SRCDIR}/zggbal.f
   ${LAPACK_SRCDIR}/zgges.f
   ${LAPACK_SRCDIR}/zgges3.f
   ${LAPACK_SRCDIR}/zggesx.f
   ${LAPACK_SRCDIR}/zggev.f
   ${LAPACK_SRCDIR}/zggev3.f
   ${LAPACK_SRCDIR}/zggevx.f
   ${LAPACK_SRCDIR}/zggglm.f
   ${LAPACK_SRCDIR}/zgghrd.f
   ${LAPACK_SRCDIR}/zgghd3.f
   ${LAPACK_SRCDIR}/zgglse.f
   ${LAPACK_SRCDIR}/zggqrf.f
   ${LAPACK_SRCDIR}/zggrqf.f
   ${LAPACK_SRCDIR}/zggsvd3.f
   ${LAPACK_SRCDIR}/zggsvp3.f
   ${LAPACK_SRCDIR}/zgtcon.f
   ${LAPACK_SRCDIR}/zgtrfs.f
   ${LAPACK_SRCDIR}/zgtsv.f
   ${LAPACK_SRCDIR}/zgtsvx.f
   ${LAPACK_SRCDIR}/zgttrf.f
   ${LAPACK_SRCDIR}/zgttrs.f
   ${LAPACK_SRCDIR}/zgtts2.f
   ${LAPACK_SRCDIR}/zhbev.f
   ${LAPACK_SRCDIR}/zhbevd.f
   ${LAPACK_SRCDIR}/zhbevx.f
   ${LAPACK_SRCDIR}/zhbgst.f
   ${LAPACK_SRCDIR}/zhbgv.f
   ${LAPACK_SRCDIR}/zhbgvd.f
   ${LAPACK_SRCDIR}/zhbgvx.f
   ${LAPACK_SRCDIR}/zhbtrd.f
   ${LAPACK_SRCDIR}/zhecon.f
   ${LAPACK_SRCDIR}/zheev.f
   ${LAPACK_SRCDIR}/zheevd.f
   ${LAPACK_SRCDIR}/zheevr.f
   ${LAPACK_SRCDIR}/zheevx.f
   ${LAPACK_SRCDIR}/zhegs2.f
   ${LAPACK_SRCDIR}/zhegst.f
   ${LAPACK_SRCDIR}/zhegv.f
   ${LAPACK_SRCDIR}/zhegvd.f
   ${LAPACK_SRCDIR}/zhegvx.f
   ${LAPACK_SRCDIR}/zherfs.f
   ${LAPACK_SRCDIR}/zhesv.f
   ${LAPACK_SRCDIR}/zhesvx.f
   ${LAPACK_SRCDIR}/zhetd2.f
   ${LAPACK_SRCDIR}/zhetf2.f
   ${LAPACK_SRCDIR}/zhetrd.f
   ${LAPACK_SRCDIR}/zhetrf.f
   ${LAPACK_SRCDIR}/zhetri.f
   ${LAPACK_SRCDIR}/zhetri2.f
   ${LAPACK_SRCDIR}/zhetri2x.f
   ${LAPACK_SRCDIR}/zheswapr.f
   ${LAPACK_SRCDIR}/zhetrs.f
   ${LAPACK_SRCDIR}/zhetrs2.f
   ${LAPACK_SRCDIR}/zhetf2_rook.f
   ${LAPACK_SRCDIR}/zhetrf_rook.f
   ${LAPACK_SRCDIR}/zhetri_rook.f
   ${LAPACK_SRCDIR}/zhetrs_rook.f
   ${LAPACK_SRCDIR}/zhecon_rook.f
   ${LAPACK_SRCDIR}/zhesv_rook.f
   ${LAPACK_SRCDIR}/zhetf2_rk.f
   ${LAPACK_SRCDIR}/zhetrf_rk.f
   ${LAPACK_SRCDIR}/zhetri_3.f
   ${LAPACK_SRCDIR}/zhetri_3x.f
   ${LAPACK_SRCDIR}/zhetrs_3.f
   ${LAPACK_SRCDIR}/zhecon_3.f
   ${LAPACK_SRCDIR}/zhesv_rk.f
   ${LAPACK_SRCDIR}/zhesv_aa.f
   ${LAPACK_SRCDIR}/zhetrf_aa.f
   ${LAPACK_SRCDIR}/zhetrs_aa.f
   ${LAPACK_SRCDIR}/zhesv_aa_2stage.f
   ${LAPACK_SRCDIR}/zhetrf_aa_2stage.f
   ${LAPACK_SRCDIR}/zhetrs_aa_2stage.f
   ${LAPACK_SRCDIR}/zhgeqz.f
   ${LAPACK_SRCDIR}/zhpcon.f
   ${LAPACK_SRCDIR}/zhpev.f
   ${LAPACK_SRCDIR}/zhpevd.f
   ${LAPACK_SRCDIR}/zhpevx.f
   ${LAPACK_SRCDIR}/zhpgst.f
   ${LAPACK_SRCDIR}/zhpgv.f
   ${LAPACK_SRCDIR}/zhpgvd.f
   ${LAPACK_SRCDIR}/zhpgvx.f
   ${LAPACK_SRCDIR}/zhprfs.f
   ${LAPACK_SRCDIR}/zhpsv.f
   ${LAPACK_SRCDIR}/zhpsvx.f
   ${LAPACK_SRCDIR}/zhptrd.f
   ${LAPACK_SRCDIR}/zhptrf.f
   ${LAPACK_SRCDIR}/zhptri.f
   ${LAPACK_SRCDIR}/zhptrs.f
   ${LAPACK_SRCDIR}/zhsein.f
   ${LAPACK_SRCDIR}/zhseqr.f
   ${LAPACK_SRCDIR}/zlabrd.f
   ${LAPACK_SRCDIR}/zlacgv.f
   ${LAPACK_SRCDIR}/zlacon.f
   ${LAPACK_SRCDIR}/zlacn2.f
   ${LAPACK_SRCDIR}/zlacp2.f
   ${LAPACK_SRCDIR}/zlacpy.f
   ${LAPACK_SRCDIR}/zlacrm.f
   ${LAPACK_SRCDIR}/zlacrt.f
   ${LAPACK_SRCDIR}/zladiv.f
   ${LAPACK_SRCDIR}/zlaed0.f
   ${LAPACK_SRCDIR}/zlaed7.f
   ${LAPACK_SRCDIR}/zlaed8.f
   ${LAPACK_SRCDIR}/zlaein.f
   ${LAPACK_SRCDIR}/zlaesy.f
   ${LAPACK_SRCDIR}/zlaev2.f
   ${LAPACK_SRCDIR}/zlags2.f
   ${LAPACK_SRCDIR}/zlagtm.f
   ${LAPACK_SRCDIR}/zlahef.f
   ${LAPACK_SRCDIR}/zlahef_rook.f
   ${LAPACK_SRCDIR}/zlahef_rk.f
   ${LAPACK_SRCDIR}/zlahef_aa.f
   ${LAPACK_SRCDIR}/zlahqr.f
   ${LAPACK_SRCDIR}/zlahr2.f
   ${LAPACK_SRCDIR}/zlaic1.f
   ${LAPACK_SRCDIR}/zlals0.f
   ${LAPACK_SRCDIR}/zlalsa.f
   ${LAPACK_SRCDIR}/zlalsd.f
   ${LAPACK_SRCDIR}/zlangb.f
   ${LAPACK_SRCDIR}/zlange.f
   ${LAPACK_SRCDIR}/zlangt.f
   ${LAPACK_SRCDIR}/zlanhb.f
   ${LAPACK_SRCDIR}/zlanhe.f
   ${LAPACK_SRCDIR}/zlanhp.f
   ${LAPACK_SRCDIR}/zlanhs.f
   ${LAPACK_SRCDIR}/zlanht.f
   ${LAPACK_SRCDIR}/zlansb.f
   ${LAPACK_SRCDIR}/zlansp.f
   ${LAPACK_SRCDIR}/zlansy.f
   ${LAPACK_SRCDIR}/zlantb.f
   ${LAPACK_SRCDIR}/zlantp.f
   ${LAPACK_SRCDIR}/zlantr.f
   ${LAPACK_SRCDIR}/zlapll.f
   ${LAPACK_SRCDIR}/zlapmt.f
   ${LAPACK_SRCDIR}/zlaqgb.f
   ${LAPACK_SRCDIR}/zlaqge.f
   ${LAPACK_SRCDIR}/zlaqhb.f
   ${LAPACK_SRCDIR}/zlaqhe.f
   ${LAPACK_SRCDIR}/zlaqhp.f
   ${LAPACK_SRCDIR}/zlaqp2.f
   ${LAPACK_SRCDIR}/zlaqps.f
   ${LAPACK_SRCDIR}/zlaqsb.f
   ${LAPACK_SRCDIR}/zlaqr0.f
   ${LAPACK_SRCDIR}/zlaqr1.f
   ${LAPACK_SRCDIR}/zlaqr2.f
   ${LAPACK_SRCDIR}/zlaqr3.f
   ${LAPACK_SRCDIR}/zlaqr4.f
   ${LAPACK_SRCDIR}/zlaqr5.f
   ${LAPACK_SRCDIR}/zlaqsp.f
   ${LAPACK_SRCDIR}/zlaqsy.f
   ${LAPACK_SRCDIR}/zlar1v.f
   ${LAPACK_SRCDIR}/zlar2v.f
   ${LAPACK_SRCDIR}/ilazlr.f
   ${LAPACK_SRCDIR}/ilazlc.f
   ${LAPACK_SRCDIR}/zlarcm.f
   ${LAPACK_SRCDIR}/zlarf.f
   ${LAPACK_SRCDIR}/zlarfb.f
   ${LAPACK_SRCDIR}/zlarfg.f
   ${LAPACK_SRCDIR}/zlarfgp.f
   ${LAPACK_SRCDIR}/zlarft.f
   ${LAPACK_SRCDIR}/zlarfx.f
   ${LAPACK_SRCDIR}/zlarfy.f
   ${LAPACK_SRCDIR}/zlargv.f
   ${LAPACK_SRCDIR}/zlarnv.f
   ${LAPACK_SRCDIR}/zlarrv.f
   ${LAPACK_SRCDIR}/zlartg.f
   ${LAPACK_SRCDIR}/zlartv.f
   ${LAPACK_SRCDIR}/zlarz.f
   ${LAPACK_SRCDIR}/zlarzb.f
   ${LAPACK_SRCDIR}/zlarzt.f
   ${LAPACK_SRCDIR}/zlascl.f
   ${LAPACK_SRCDIR}/zlaset.f
   ${LAPACK_SRCDIR}/zlasr.f
   ${LAPACK_SRCDIR}/zlassq.f
   ${LAPACK_SRCDIR}/zlaswp.f
   ${LAPACK_SRCDIR}/zlasyf.f
   ${LAPACK_SRCDIR}/zlasyf_rook.f
   ${LAPACK_SRCDIR}/zlasyf_rk.f
   ${LAPACK_SRCDIR}/zlasyf_aa.f
   ${LAPACK_SRCDIR}/zlatbs.f
   ${LAPACK_SRCDIR}/zlatdf.f
   ${LAPACK_SRCDIR}/zlatps.f
   ${LAPACK_SRCDIR}/zlatrd.f
   ${LAPACK_SRCDIR}/zlatrs.f
   ${LAPACK_SRCDIR}/zlatrz.f
   ${LAPACK_SRCDIR}/zlauu2.f
   ${LAPACK_SRCDIR}/zlauum.f
   ${LAPACK_SRCDIR}/zpbcon.f
   ${LAPACK_SRCDIR}/zpbequ.f
   ${LAPACK_SRCDIR}/zpbrfs.f
   ${LAPACK_SRCDIR}/zpbstf.f
   ${LAPACK_SRCDIR}/zpbsv.f
   ${LAPACK_SRCDIR}/zpbsvx.f
   ${LAPACK_SRCDIR}/zpbtf2.f
   ${LAPACK_SRCDIR}/zpbtrf.f
   ${LAPACK_SRCDIR}/zpbtrs.f
   ${LAPACK_SRCDIR}/zpocon.f
   ${LAPACK_SRCDIR}/zpoequ.f
   ${LAPACK_SRCDIR}/zporfs.f
   ${LAPACK_SRCDIR}/zposv.f
   ${LAPACK_SRCDIR}/zposvx.f
   ${LAPACK_SRCDIR}/zpotf2.f
   ${LAPACK_SRCDIR}/zpotrf.f
   ${LAPACK_SRCDIR}/zpotrf2.f
   ${LAPACK_SRCDIR}/zpotri.f
   ${LAPACK_SRCDIR}/zpotrs.f
   ${LAPACK_SRCDIR}/zpstrf.f
   ${LAPACK_SRCDIR}/zpstf2.f
   ${LAPACK_SRCDIR}/zppcon.f
   ${LAPACK_SRCDIR}/zppequ.f
   ${LAPACK_SRCDIR}/zpprfs.f
   ${LAPACK_SRCDIR}/zppsv.f
   ${LAPACK_SRCDIR}/zppsvx.f
   ${LAPACK_SRCDIR}/zpptrf.f
   ${LAPACK_SRCDIR}/zpptri.f
   ${LAPACK_SRCDIR}/zpptrs.f
   ${LAPACK_SRCDIR}/zptcon.f
   ${LAPACK_SRCDIR}/zpteqr.f
   ${LAPACK_SRCDIR}/zptrfs.f
   ${LAPACK_SRCDIR}/zptsv.f
   ${LAPACK_SRCDIR}/zptsvx.f
   ${LAPACK_SRCDIR}/zpttrf.f
   ${LAPACK_SRCDIR}/zpttrs.f
   ${LAPACK_SRCDIR}/zptts2.f
   ${LAPACK_SRCDIR}/zrot.f
   ${LAPACK_SRCDIR}/zspcon.f
   ${LAPACK_SRCDIR}/zspmv.f
   ${LAPACK_SRCDIR}/zspr.f
   ${LAPACK_SRCDIR}/zsprfs.f
   ${LAPACK_SRCDIR}/zspsv.f
   ${LAPACK_SRCDIR}/zspsvx.f
   ${LAPACK_SRCDIR}/zsptrf.f
   ${LAPACK_SRCDIR}/zsptri.f
   ${LAPACK_SRCDIR}/zsptrs.f
   ${LAPACK_SRCDIR}/zdrscl.f
   ${LAPACK_SRCDIR}/zstedc.f
   ${LAPACK_SRCDIR}/zstegr.f
   ${LAPACK_SRCDIR}/zstein.f
   ${LAPACK_SRCDIR}/zsteqr.f
   ${LAPACK_SRCDIR}/zsycon.f
   ${LAPACK_SRCDIR}/zsymv.f
   ${LAPACK_SRCDIR}/zsyr.f
   ${LAPACK_SRCDIR}/zsyrfs.f
   ${LAPACK_SRCDIR}/zsysv.f
   ${LAPACK_SRCDIR}/zsysvx.f
   ${LAPACK_SRCDIR}/zsytf2.f
   ${LAPACK_SRCDIR}/zsytrf.f
   ${LAPACK_SRCDIR}/zsytri.f
   ${LAPACK_SRCDIR}/zsytri2.f
   ${LAPACK_SRCDIR}/zsytri2x.f
   ${LAPACK_SRCDIR}/zsyswapr.f
   ${LAPACK_SRCDIR}/zsytrs.f
   ${LAPACK_SRCDIR}/zsytrs2.f
   ${LAPACK_SRCDIR}/zsyconv.f
   ${LAPACK_SRCDIR}/zsyconvf.f
   ${LAPACK_SRCDIR}/zsyconvf_rook.f
   ${LAPACK_SRCDIR}/zsytf2_rook.f
   ${LAPACK_SRCDIR}/zsytrf_rook.f
   ${LAPACK_SRCDIR}/zsytrs_rook.f
   ${LAPACK_SRCDIR}/zsytrs_aa.f
   ${LAPACK_SRCDIR}/zsytri_rook.f
   ${LAPACK_SRCDIR}/zsycon_rook.f
   ${LAPACK_SRCDIR}/zsysv_rook.f
   ${LAPACK_SRCDIR}/zsytf2_rk.f
   ${LAPACK_SRCDIR}/zsytrf_rk.f
   ${LAPACK_SRCDIR}/zsytrf_aa.f
   ${LAPACK_SRCDIR}/zsytrs_3.f
   ${LAPACK_SRCDIR}/zsysv_aa_2stage.f
   ${LAPACK_SRCDIR}/zsytrf_aa_2stage.f
   ${LAPACK_SRCDIR}/zsytrs_aa_2stage.f
   ${LAPACK_SRCDIR}/zsytri_3.f
   ${LAPACK_SRCDIR}/zsytri_3x.f
   ${LAPACK_SRCDIR}/zsycon_3.f
   ${LAPACK_SRCDIR}/zsysv_rk.f
   ${LAPACK_SRCDIR}/zsysv_aa.f
   ${LAPACK_SRCDIR}/ztbcon.f
   ${LAPACK_SRCDIR}/ztbrfs.f
   ${LAPACK_SRCDIR}/ztbtrs.f
   ${LAPACK_SRCDIR}/ztgevc.f
   ${LAPACK_SRCDIR}/ztgex2.f
   ${LAPACK_SRCDIR}/ztgexc.f
   ${LAPACK_SRCDIR}/ztgsen.f
   ${LAPACK_SRCDIR}/ztgsja.f
   ${LAPACK_SRCDIR}/ztgsna.f
   ${LAPACK_SRCDIR}/ztgsy2.f
   ${LAPACK_SRCDIR}/ztgsyl.f
   ${LAPACK_SRCDIR}/ztpcon.f
   ${LAPACK_SRCDIR}/ztprfs.f
   ${LAPACK_SRCDIR}/ztptri.f
   ${LAPACK_SRCDIR}/ztptrs.f
   ${LAPACK_SRCDIR}/ztrcon.f
   ${LAPACK_SRCDIR}/ztrevc.f
   ${LAPACK_SRCDIR}/ztrevc3.f
   ${LAPACK_SRCDIR}/ztrexc.f
   ${LAPACK_SRCDIR}/ztrrfs.f
   ${LAPACK_SRCDIR}/ztrsen.f
   ${LAPACK_SRCDIR}/ztrsna.f
   ${LAPACK_SRCDIR}/ztrsyl.f
   ${LAPACK_SRCDIR}/ztrti2.f
   ${LAPACK_SRCDIR}/ztrtri.f
   ${LAPACK_SRCDIR}/ztrtrs.f
   ${LAPACK_SRCDIR}/ztzrzf.f
   ${LAPACK_SRCDIR}/zung2l.f
   ${LAPACK_SRCDIR}/zung2r.f
   ${LAPACK_SRCDIR}/zungbr.f
   ${LAPACK_SRCDIR}/zunghr.f
   ${LAPACK_SRCDIR}/zungl2.f
   ${LAPACK_SRCDIR}/zunglq.f
   ${LAPACK_SRCDIR}/zungql.f
   ${LAPACK_SRCDIR}/zungqr.f
   ${LAPACK_SRCDIR}/zungr2.f
   ${LAPACK_SRCDIR}/zungrq.f
   ${LAPACK_SRCDIR}/zungtr.f
   ${LAPACK_SRCDIR}/zunm2l.f
   ${LAPACK_SRCDIR}/zunm2r.f
   ${LAPACK_SRCDIR}/zunmbr.f
   ${LAPACK_SRCDIR}/zunmhr.f
   ${LAPACK_SRCDIR}/zunml2.f
   ${LAPACK_SRCDIR}/zunm22.f
   ${LAPACK_SRCDIR}/zunmlq.f
   ${LAPACK_SRCDIR}/zunmql.f
   ${LAPACK_SRCDIR}/zunmqr.f
   ${LAPACK_SRCDIR}/zunmr2.f
   ${LAPACK_SRCDIR}/zunmr3.f
   ${LAPACK_SRCDIR}/zunmrq.f
   ${LAPACK_SRCDIR}/zunmrz.f
   ${LAPACK_SRCDIR}/zunmtr.f
   ${LAPACK_SRCDIR}/zupgtr.f
   ${LAPACK_SRCDIR}/zupmtr.f
   ${LAPACK_SRCDIR}/izmax1.f
   ${LAPACK_SRCDIR}/dzsum1.f
   ${LAPACK_SRCDIR}/zstemr.f
   ${LAPACK_SRCDIR}/zcgesv.f
   ${LAPACK_SRCDIR}/zcposv.f
   ${LAPACK_SRCDIR}/zlag2c.f
   ${LAPACK_SRCDIR}/clag2z.f
   ${LAPACK_SRCDIR}/zlat2c.f
   ${LAPACK_SRCDIR}/zhfrk.f
   ${LAPACK_SRCDIR}/ztfttp.f
   ${LAPACK_SRCDIR}/zlanhf.f
   ${LAPACK_SRCDIR}/zpftrf.f
   ${LAPACK_SRCDIR}/zpftri.f
   ${LAPACK_SRCDIR}/zpftrs.f
   ${LAPACK_SRCDIR}/ztfsm.f
   ${LAPACK_SRCDIR}/ztftri.f
   ${LAPACK_SRCDIR}/ztfttr.f
   ${LAPACK_SRCDIR}/ztpttf.f
   ${LAPACK_SRCDIR}/ztpttr.f
   ${LAPACK_SRCDIR}/ztrttf.f
   ${LAPACK_SRCDIR}/ztrttp.f
   ${LAPACK_SRCDIR}/zgeequb.f
   ${LAPACK_SRCDIR}/zgbequb.f
   ${LAPACK_SRCDIR}/zsyequb.f
   ${LAPACK_SRCDIR}/zpoequb.f
   ${LAPACK_SRCDIR}/zheequb.f
   ${LAPACK_SRCDIR}/zbbcsd.f
   ${LAPACK_SRCDIR}/zlapmr.f
   ${LAPACK_SRCDIR}/zunbdb.f
   ${LAPACK_SRCDIR}/zunbdb1.f
   ${LAPACK_SRCDIR}/zunbdb2.f
   ${LAPACK_SRCDIR}/zunbdb3.f
   ${LAPACK_SRCDIR}/zunbdb4.f
   ${LAPACK_SRCDIR}/zunbdb5.f
   ${LAPACK_SRCDIR}/zunbdb6.f
   ${LAPACK_SRCDIR}/zuncsd.f
   ${LAPACK_SRCDIR}/zuncsd2by1.f
   ${LAPACK_SRCDIR}/zgeqrt.f
   ${LAPACK_SRCDIR}/zgeqrt2.f
   ${LAPACK_SRCDIR}/zgeqrt3.f
   ${LAPACK_SRCDIR}/zgemqrt.f
   ${LAPACK_SRCDIR}/ztpqrt.f
   ${LAPACK_SRCDIR}/ztpqrt2.f
   ${LAPACK_SRCDIR}/ztpmqrt.f
   ${LAPACK_SRCDIR}/ztprfb.f
   ${LAPACK_SRCDIR}/ztplqt.f
   ${LAPACK_SRCDIR}/ztplqt2.f
   ${LAPACK_SRCDIR}/ztpmlqt.f
   ${LAPACK_SRCDIR}/zgelqt.f
   ${LAPACK_SRCDIR}/zgelqt3.f
   ${LAPACK_SRCDIR}/zgemlqt.f
   ${LAPACK_SRCDIR}/zgetsls.f
   ${LAPACK_SRCDIR}/zgeqr.f
   ${LAPACK_SRCDIR}/zlatsqr.f
   ${LAPACK_SRCDIR}/zlamtsqr.f
   ${LAPACK_SRCDIR}/zgemqr.f
   ${LAPACK_SRCDIR}/zgelq.f
   ${LAPACK_SRCDIR}/zlaswlq.f
   ${LAPACK_SRCDIR}/zlamswlq.f
   ${LAPACK_SRCDIR}/zgemlq.f
   ${LAPACK_SRCDIR}/zhetrd_2stage.f
   ${LAPACK_SRCDIR}/zhetrd_he2hb.f
   ${LAPACK_SRCDIR}/zhetrd_hb2st.F
   ${LAPACK_SRCDIR}/zhb2st_kernels.f
   ${LAPACK_SRCDIR}/zheevd_2stage.f
   ${LAPACK_SRCDIR}/zheev_2stage.f
   ${LAPACK_SRCDIR}/zheevx_2stage.f
   ${LAPACK_SRCDIR}/zheevr_2stage.f
   ${LAPACK_SRCDIR}/zhbev_2stage.f
   ${LAPACK_SRCDIR}/zhbevx_2stage.f
   ${LAPACK_SRCDIR}/zhbevd_2stage.f
   ${LAPACK_SRCDIR}/zhegv_2stage.f

   #ZXLASRC can only use this if you have XBLAS
   # ${LAPACK_SRCDIR}/zgesvxx.f
   # ${LAPACK_SRCDIR}/zgerfsx.f
   # ${LAPACK_SRCDIR}/zla_gerfsx_extended.f
   # ${LAPACK_SRCDIR}/zla_geamv.f
   # ${LAPACK_SRCDIR}/zla_gercond_c.f
   # ${LAPACK_SRCDIR}/zla_gercond_x.f
   # ${LAPACK_SRCDIR}/zla_gerpvgrw.f
   # ${LAPACK_SRCDIR}/zsysvxx.f
   # ${LAPACK_SRCDIR}/zsyrfsx.f
   # ${LAPACK_SRCDIR}/zla_syrfsx_extended.f
   # ${LAPACK_SRCDIR}/zla_syamv.f
   # ${LAPACK_SRCDIR}/zla_syrcond_c.f
   # ${LAPACK_SRCDIR}/zla_syrcond_x.f
   # ${LAPACK_SRCDIR}/zla_syrpvgrw.f
   # ${LAPACK_SRCDIR}/zposvxx.f
   # ${LAPACK_SRCDIR}/zporfsx.f
   # ${LAPACK_SRCDIR}/zla_porfsx_extended.f
   # ${LAPACK_SRCDIR}/zla_porcond_c.f
   # ${LAPACK_SRCDIR}/zla_porcond_x.f
   # ${LAPACK_SRCDIR}/zla_porpvgrw.f
   # ${LAPACK_SRCDIR}/zgbsvxx.f
   # ${LAPACK_SRCDIR}/zgbrfsx.f
   # ${LAPACK_SRCDIR}/zla_gbrfsx_extended.f
   # ${LAPACK_SRCDIR}/zla_gbamv.f
   # ${LAPACK_SRCDIR}/zla_gbrcond_c.f
   # ${LAPACK_SRCDIR}/zla_gbrcond_x.f
   # ${LAPACK_SRCDIR}/zla_gbrpvgrw.f
   # ${LAPACK_SRCDIR}/zhesvxx.f
   # ${LAPACK_SRCDIR}/zherfsx.f
   # ${LAPACK_SRCDIR}/zla_herfsx_extended.f
   # ${LAPACK_SRCDIR}/zla_heamv.f
   # ${LAPACK_SRCDIR}/zla_hercond_c.f
   # ${LAPACK_SRCDIR}/zla_hercond_x.f
   # ${LAPACK_SRCDIR}/zla_herpvgrw.f
   # ${LAPACK_SRCDIR}/zla_lin_berr.f
   # ${LAPACK_SRCDIR}/zlarscl2.f
   # ${LAPACK_SRCDIR}/zlascl2.f
   # ${LAPACK_SRCDIR}/zla_wwaddw.f

   
   #INSTALL   
   ${LAPACK_INSTDIR}/dlamch.f
   ${LAPACK_INSTDIR}/${DSECOND_SRC}
   ${LAPACK_INSTDIR}/ilaver.f
   ${LAPACK_INSTDIR}/lsame.f
   ${LAPACK_INSTDIR}/${SECOND_SRC}
   ${LAPACK_INSTDIR}/slamch.f
 )
